<?php $selected = isset($_COOKIE['trans_engine_mode']) && $_COOKIE['trans_engine_mode'] == 'debugging' ? 'selected' : ''; ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>URL Translation Engine - Debug Mode</title>

	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta name="Copyright" content="Digital Mail Limited 2005-2010">

	<link href="/dmx/core/b0/css/core_dmclub.css" rel="stylesheet" type="text/css" media="All">
	<link href="/dmx/core/b0/css/over_dmclub.css" rel="stylesheet" type="text/css" media="All">
	<link href="/dmx/core/b0/css/core.css" rel="stylesheet" type="text/css" media="All">
	<link href="/dmx/core/b0/css/over.css" rel="stylesheet" type="text/css" media="All">
	<link href="/dmx/core/b0/css/print.css" rel="stylesheet" type="text/css" media="Print">
	<!--[if lt IE 7]>
		<link href="/dmx/core/b0/css/ie6.css" rel="stylesheet" type="text/css" media="All" />
	<![endif]-->
	
	<script language="javascript" src="/dmx/core/js/mootools-1.2.3-core-yc.js" type="text/javascript"></script>
	<script language="javascript" src="/dmx/core/js/mootools-1.2.3.1-more.js" type="text/javascript"></script>
	<script language="javascript" src="/dmx/core/b0/js/b0_interface.js" type="text/javascript"></script>

	<script language="javascript">
	
	// Set up page initialisation event handler
	if (window.addEventListener)
	{
		window.addEventListener('load', b0_interface_init, true); // W3C
	}
	else if (window.attachEvent)
	{
		window.attachEvent('onload', b0_interface_init); // IE  - Quirks Mode
	}
	else
	{
		window.onload = b0_interface_init;
	}

	</script>

</head>

<body>
<div class="dmb0">

<a name="top"></a>

<!-- ************** -->
<!-- HEADER SECTION -->
<!-- ************** -->

<!-- MAIN HEADER BAR AND BRANDING -->
<div id="header_bar">
	<div class="content" align="center">
		<table width="100%" cellpadding="0" cellspacing="0" border="0" class="limit_width_700">
			<tr>
				<td style="width: 99%; vertical-align: middle;" class="title">URL Translation Engine Test Page</td>
				<td><img src="/dmx/core_resources/b0/images/dmclub_header/dmclub_better_biz.gif" alt="better business through  innovative telecoms" width="164" height="71" border="0"></td>
				<td><img src="/dmx/core_resources/b0/images/dmclub_header/dmclub_logo.gif" alt="dmClub logo" width="63" height="71" border="0"></td>
			</tr>
			<tr>
				<td></td>
				<td colspan="2"><img src="/dmx/core_resources/b0/images/dmclub_header/dmclub_highlight.gif" alt="" width="227" height="8" border="0"></td>
			</tr>
		</table>
	</div>
</div>
<!-- END MAIN HEADER BAR AND BRANDING -->

<!-- NAV BAR -->
<div id="nav_bar">
	<div class="content" align="center">
		<div class="limit_width_700">
		 	<div style="float: right">
		 		<!-- RHS NAV BAR CONTENT -->
		 		<!-- END RHS NAV BAR CONTENT -->
		 	</div>
		 	<!-- LHS NAV BAR CONTENT -->
		 	<!-- END LHS NAV BAR CONTENT -->
		 	&nbsp;
		</div>
	</div>
</div>
<!-- END NAV BAR -->

<!-- ERROR MESSAGE BAR -->
<div id="err_msg_bar" style="display: none;">
	<div class="content" align="center">
		<div class="limit_width_700"></div>
	</div>
</div>
<!-- END ERROR MESSAGE BAR -->

<!-- ****************** -->
<!-- END HEADER SECTION -->
<!-- ****************** -->


<!-- ******************* -->
<!-- PAGE BODY CONTAINER -->
<!-- ******************* -->

<div class="content" align="center">
<div class="limit_width_700">

<!-- BODY CONTENT STARTS HERE -->

<script language="javascript" type="text/javascript">
<!--
function set_operations_mode() {
	var mode = document.modeform.mode.options[document.modeform.mode.selectedIndex].value;
	dmb1_set_cookie('trans_engine_mode', mode);
	if (mode == 'normal')    alert('Returning to normal mode');
	if (mode == 'debugging') alert('Turning on debugging mode');
}
//-->
</script>

<!-- FLOATING RIGHTHAND PANEL -->
<div class="floatbox_medium">
	<h1>Set Operations Mode</h1>	
	<div class="floatbox_brief">
		<form name="modeform">
			<select name="mode" onchange="set_operations_mode();">
				<option value="normal">Normal</option>
				<option value="debugging"<?=$selected;?>>Debugging</oprion>
			</select>
		</form>
	</div>
</div>
<!-- END FLOATING RIGHTHAND PANEL -->

<h1>These links trigger 404 not found</h1>

<p>
<a href="http://demo.demotel.org/numbers/999.php">http://demo.demotel.org/numbers/999.php</a><br>
<a href="http://demo.demotel.org/monday.cfm">http://demo.demotel.org/monday.cfm</a><br>
<a href="http://demo.demotel.org/monsoon.html">http://demo.demotel.org/monsoon.html</a>
</p>

<p>
<a href="http://demo.demotel.org/wed.php?param=1277">http://demo.demotel.org/wed.php?param=1277</a><br>
<a href="http://demo.demotel.org/wed.php?param=milk+and+cookies">http://demo.demotel.org/wed.php?param=milk+and+cookies</a><br>
</p>

<p>
Default forwarding test<br>
<a href="http://demo.demotel.org/file.cfm?service=dmUnified&VirtOpAccRef=7654&Frames=N">http://demo.demotel.org/file.cfm?service=dmUnified&VirtOpAccRef=7654&Frames=N</a>
</p>

<p>
Termination test: don't forward requests for missing graphics<br>
<a href="http://demo.demotel.org/a/b.gif">http://demo.demotel.org/a/b.gif</a> | <a href="http://demo.demotel.org/lost.JPG">http://demo.demotel.org/lost.JPG</a>
</p>

<p>
Forward pear to Apple<br>
<a href="http://demo.demotel.org/pear.html">http://demo.demotel.org/pear.html</a>
</p>

<p>
Parameter reordering test<br>
<a href="http://demo.demotel.org/page.html?c=3&d=4&b=2&a=1">http://demo.demotel.org/page.html?c=3&d=4&b=2&a=1</a>
</p>

<h2>Load web log</h2>

<form enctype="multipart/form-data" action="../translate_url.php" method="POST">
    <!-- MAX_FILE_SIZE must precede the file input field -->
    <input type="hidden" name="MAX_FILE_SIZE" value="10000000" />
    <input type="hidden" name="logfile" value="1" />
    <!-- Name of input element determines name in $_FILES array -->
    
    <table width="100%">
    	<tr>
    		<td class="cell1i_thin">Logfile</td>
    		<td class="cell2f_thin">
    			<input name="weblog" type="file" class="form_text_field" size="50" />
			</td>
    	</tr>
    	<tr>
    		<td class="cell1i_thin">Select</td>
    		<td class="cell2f_thin">
    			<select name="process" class="form_select">
					<option value="all">all lines of logfile</option>
					<option value="outside">referer does not contain 'dmclub'</option>
					<option value="google">referer was Google</option>
					<option value="yahoo">referer was Yahoo</option>
					<option value="msn">referer was MSN</option>
					<option value="aol">referer was AOL</option>
					<option value="ask">referer was Ask</option>
					<option value="no_referer">No referer</option>
				</select>
				&nbsp;&nbsp;
				<input name="exclude" type="checkbox"> Exclude lines where the referer is empty
			</td>
    	</tr>
    	<tr>
    		<td class="cell1i_thin">Results</td>
    		<td class="cell2f_thin">
				<input name="matches_only" type="checkbox"> Display matches only
			</td>
    	</tr>
	   	<tr>
    		<td class="cell1i_thin">Order</td>
    		<td class="cell2f_thin">
				<input name="sortby_match" type="checkbox"> Sort results by the regex matched (if any)
			</td>
    	</tr>
    	<tr>
    		<td class="cell1i_thin">&nbsp;</td>
    		<td class="cell2f_thin">
    			<input type="submit" value="Send File" class="form_submit" />
    		</td>
    	</tr>
	</table>
	
</form>

<!-- END BODY CONTENT -->

</div>
</div>

<!-- *********************** -->
<!-- END PAGE BODY CONTAINER -->
<!-- *********************** -->

<!-- ********** -->
<!-- FOOTER BAR -->
<!-- ********** -->

<br style="clear: both;">
<div id="footer_bar">
	<div class="content" align="center">
		<div class="limit_width_700">
		 	<div style="float: right">
		 		<!-- RHS FOOTER CONTENT -->
		 		<!-- Standard back to top link -->
		 		&nbsp;&nbsp;&nbsp;<a href="#top">back to top</a>
		 		<!-- END RHS FOOTER CONTENT -->
		 	</div>
		 	<!-- LHS FOOTER CONTENT -->
			trans_engine:test:index.php:S01_C03
		 	<!-- END LHS FOOTER CONTENT -->
		</div>
	</div>
</div>

<!-- ************** -->
<!-- END FOOTER BAR -->
<!-- ************** -->

</div>

</body>
</html>