<?php

// serviceselector_options.php
// -----------------------------------------------------------------------------
// Default options for 'ServiceSelector' XComponent
//
// Revision   > $Rev: 125 $
// Date		  > $Date: 2009-10-15 10:32:22 +0100 (Thu, 15 Oct 2009) $
// Author     > RAK for DML
// Copyright  > (C) Digital Mail Limited (2005-2009)
// -----------------------------------------------------------------------------

// Default template settings
$dmx_tmp_var['showheader'] = 1;
$dmx_tmp_var['showborder'] = 1;
$dmx_tmp_var['showpreamble'] = 1;	// Component does not contain preamble, so this currently has no effect
$dmx_tmp_var['maxheight'] = '*'; // Means ignore
$dmx_tmp_var['maxwidth'] = '*'; // Means ignore
$dmx_tmp_var['width'] = 700;

// $dmx_tmp_var['showservices'] = 1; 	// Not yet implemented
// $dmx_tmp_var['showplans'] = 1;		// Not yet implemented		
$dmx_tmp_var['link_cce'] = '';
$dmx_tmp_var['div_typinv'] = 'internal';
$dmx_tmp_var['div_fulltariff'] = 'internal';
$dmx_tmp_var['hook_typinv'] = '';
$dmx_tmp_var['hook_fulltariff'] = '';

// ServiceSelector error messages
$err_msg['ItemMismatch'] = 'The item\'s tariff could not be modified, due to a mismatch between the number and item index.';
$err_msg['ItemGone'] = 'The item you are trying to alter is no longer in your trolley.';

// ------------------------------------------------------------------------------
// Do not customise beyond this point unless you understand DM Shopping protocol!
// ------------------------------------------------------------------------------

// Default command
$params['Cmd'] 				= 'GetSvcPlanOptions';
$params['Currency'] 		= 'UKPX';
$params['TariffFilter'] 	= 'Public.*'; // Display public tariffs
$params['ServiceFilter'] 	= '*';
$params['PlanFilter'] 		= '*';

?>