<?php

// trolley_options.php
// -----------------------------------------------------------------------------
// Default options for 'Trolley' XComponent
//
// Revision   > $Rev: 136 $
// Date		  > $Date: 2009-10-28 17:53:21 +0000 (Wed, 28 Oct 2009) $
// Author     > RAK for DML
// Copyright  > (C) Digital Mail Limited (2005-2009)
// -----------------------------------------------------------------------------

// Default template settings
$dmx_tmp_var['showheader'] = 1;
$dmx_tmp_var['showborder'] = 1;
$dmx_tmp_var['showpreamble'] = 1;
$dmx_tmp_var['showicons'] = 1;
$dmx_tmp_var['showoptions'] = 0;
$dmx_tmp_var['showtotals'] = 1;
$dmx_tmp_var['showactions'] = 1;
$dmx_tmp_var['maxheight'] = '*'; // Means ignore
$dmx_tmp_var['maxwidth'] = '*'; // Means ignore
$dmx_tmp_var['variant'] = 'full';
$dmx_tmp_var['usepopup'] = 1;
$dmx_tmp_var['headerurl'] = '';
$dmx_tmp_var['div_typinv'] = 'internal';
$dmx_tmp_var['hook_typinv'] = '';
$dmx_tmp_var['div_cce'] = 'internal';
$dmx_tmp_var['hook_cce'] = '';
$dmx_tmp_var['hook_cce_update'] = '';
$dmx_tmp_var['embedded'] = 0;
$dmx_tmp_var['transfer_target'] = 'same';
$dmx_tmp_var['auto_sync_interval'] = 5; // 0 means don't auto-sync trolley using AJAX polling


// Trolley error messages
$err_msg['NotCheckoutReady'] = 'Your trolley is not checkout ready. To be checkout ready your trolley must contain some items and you must be logged in.';
$err_msg['ItemsGone'] = 'Your session has expired, and some items may be no longer available. Please start again.';
$err_msg['BadPosition'] = 'An error has occured while trying to delete the item. Please check your trolley contents.';
$err_msg['NotInTrolley'] = 'An error has occured. The item you are trying to delete no longer exists.';

// ------------------------------------------------------------------------------
// Do not customise beyond this point unless you understand DM Shopping protocol!
// ------------------------------------------------------------------------------

// Default search params
$params['Cmd'] = 'ListTrolley';
//$params['Currency'] = 'UKPX';

?>