<?php
// Call in the XComponents engine and options file
define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?
define('DOCROOT', 
	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 
		$_SERVER['DOCUMENT_ROOT'] : 
		(
			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 
				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 
				(
					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?
						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :
						'.'
				)
		)
	);
include(DOCROOT . '/dmx/dmx_options.php');
include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');
include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
	<title>{SUB:company_brandname} ::: advanced telecommunications</title>
	<meta name="description" content="">
	<meta name="keywords" content="">

	<?php
	$abs_root = '';
	@include(DOCROOT . '/abs_version_control.php');
	$abs_no_header = true;
	include(DOCROOT . $abs_root . '/common/header.php');
	?>

<div id="popup_window">

<h1>I'm interested in {GLOS:provoiceover}</h1> 

<div class="float_left">
	{GLOS:icon_func_provoiceover_large}
</div>

<p>
Take the first step towards getting {GLOS:provoiceover}. Complete the following form, and one of our customer service officers will contact you to discuss your requirements.
</p>

<form method="POST" action="thanks.php">
<div style="width: 100%; margin: 5px 0px; clear: both;">
	<div style="width: 30%; text-align: right; float: left; margin: 3px 0px; padding: 4px 10px 0px 0px;">Name</div>
	<div style="margin: 3px 0px; float: left;"><input type="text" name="name"></div>
	<div style="margin: 3px 0px; padding: 4px 0px 4px 10px; float: left;">e.g. Sarah Smee</div>
</div>
<div style="width: 100%; margin: 5px 0px; clear: both;">
	<div style="width: 30%; text-align: right; float: left; margin: 3px 0px; padding: 4px 10px 0px 0px;">DMID</div>
	<div style="margin: 3px 0px; float: left;"><input type="text" name="dmid"></div>
	<div style="margin: 3px 0px; padding: 4px 0px 4px 10px; float: left;">e.g. s.smee@hotmail.com</div>
</div>
<div style="width: 100%; margin: 5px 0px; clear: both;">
	<div style="width: 30%; text-align: right; float: left; margin: 3px 0px; padding: 4px 10px 0px 0px;">Contact email</div>
	<div style="margin: 3px 0px; float: left;"><input type="text" name="email"></div>
	<div style="margin: 3px 0px; padding: 4px 0px 4px 10px; float: left;">e.g. sara@smee.co.uk</div>
</div>
<div style="width: 100%; margin: 5px 0px; clear: both;">
	<div style="width: 30%; text-align: right; float: left; margin: 3px 0px; padding: 4px 10px 0px 0px;">Contact phone</div>
	<div style="margin: 3px 0px; float: left;"><input type="text" name="phone"></div>
	<div style="margin: 3px 0px; padding: 4px 0px 4px 10px; float: left;">e.g. +44-7777-123-456</div>
</div>
<div style="width: 100%; margin: 5px 0px; clear: both;">
	<div style="width: 30%; text-align: right; float: left; margin: 3px 0px; padding: 4px 10px 0px 0px;">Switchboard number</div>
	<div style="margin: 3px 0px; float: left;"><input type="text" name="SAAddr"></div>
	<div style="margin: 3px 0px; padding: 4px 0px 4px 10px; float: left;">e.g. 0870-446-0291</div>
</div>
<div style="width: 100%; margin: 5px 0px; clear: both;">
	<div style="width: 30%; text-align: right; float: left; margin: 3px 0px; padding: 4px 10px 0px 0px;"></div>
	<div style="margin: 3px 0px; float: left;"><input type="submit" name="action" value="Call Me"></div>
</div>
</form>

</div>

</body>
</html>

<?php ob_end_flush(); ?>
