<?php


// Call in the XComponents engine and options file


define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?


define('DOCROOT', 


	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 


		$_SERVER['DOCUMENT_ROOT'] : 


		(


			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 


				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 


				(


					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?


						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :


						'.'


				)


		)


	);


include(DOCROOT . '/dmx/dmx_options.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');





// Abs code starts here





if (isset($_GET['dmx_areacode'])) $_SESSION['ABS']['last_areacode'] = $_GET['dmx_areacode'];


$abs_lac = isset($_SESSION['ABS']['last_areacode']) ? $_SESSION['ABS']['last_areacode'] : '';





// Declare an interest in ukgeo


dmx_update_nc_memory(NULL, array('range' => 'ukgeo', 'areacode' => $abs_lac));





// Define tariff here if page contains a NumberChooser


$abs_xparams['tariffs'] = 'Public.EC-UK-GEO-All-Bas';





$abs_root = '';


@include(DOCROOT . '/abs_version_control.php');


//include(DOCROOT . $abs_root . '/common/header.php');


?>










<?php

// header.php
// -----------------------------------------------------------------------------
// The common header for all dmABS web pages
//
// Project    > A16-dmABS-1.5-Feb09
// Copyright  > (C) Digital Mail Limited (2005 - 2009)
// Author     > RAK for DML
// -----------------------------------------------------------------------------

include_once(DOCROOT . $abs_root . '/config/tech_options.php');
include_once(DOCROOT . $abs_root .'/common/abs_lib.php');
include_once(DOCROOT . $abs_root .'/common/abs_run.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>UK VoIP Numbers, VoIP UK Phone Numbers, Voice Over IP, VoIP, SIP Phone Number - www.phone-numbers-uk.com</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="description" content="Get a UK VoIP Number and forward it to your VoIP Phone. UK VoIP Numbers with Call forwarding to your VoIP / SIP Phone">
<meta name="keywords" content="UK VoIP Numbers, VoIP UK Numbers, Geographic VoIP Numbers, Non-Geographic VoIP Numbers, SIP Numbers, VoIP telephone">
<meta name="robots" content="index, follow">
<meta name="revisit-after" content="7 days">

<meta name="Project" content="A16-dmABS-1.6-Feb09">
<meta name="Version" content="1.6.0.A">
<meta name="Date" content="17-03-2009">
<meta name="Copyright" content="Digital Mail Limited 2005/2006">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">

<!-- dmABS STYLESHEETS & JS-->
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/layout.css" rel="stylesheet" type="text/css" media="All">
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/typography_and_colours.css" rel="stylesheet" type="text/css" media="All">
<script language="javascript" src="<?=$abs_root;?>/js/abs_interface.js" type="text/javascript"></script>

<?php if ($abs_sitemode != 'proplus') : ?>
<!-- Stylesheet overrides generated from $abs_opt -->
<style type="text/css">
<?=$abs_header_bg;?>
#header, .header_bar { background-color: <?=$abs_opt['header_block_colour'];?>; }
#header, .header_bar, #header a { color: <?=$abs_header_text_col;?>; }
#header a { border-bottom: none !important; }
p{text-align:justify;}

/* h1, h2 { color: <?=$abs_opt['col1'];?>; } */

</style>
<!-- End stylesheet overrides generated from $abs_opt -->
<?php endif; ?>

<!-- ************************** -->
<!-- (1) INITIALISE XCOMPONENTS -->
<!-- ************************** -->
<?php
dmx_initialise_trolley();
$tst_additional_params_json = abs_get_tst_additional_params_json();
?>

<!-- **************************** -->
<!-- (2) SEED ADDITIONAL TST DATA -->
<!-- **************************** -->

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
try
{
	var tst_additional_params = <?=$tst_additional_params_json;?>;
}
catch(error) {;}
/*]]>*/
</script>

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
var abs_root = '<?=$abs_root;?>';
/*]]>*/
</script>

<!-- *************** -->
<!-- (3) INCLUDE TST -->
<!-- *************** -->
<?php
dmx_include_tst();
?>
</head> <!-- XCom & TST modifications added -->
<?php
// $abs_login_status = get_login_status(); // Get login status XComponent in its unboxed form
ob_start(array($abs_glos, 'substitute'));
abs_prepend_dynamic_substitutions(); // Only known once trolley session has been initialised
?>

<body>

<?php if (!isset($abs_no_header)) : // Miss page header for popups ?>
<div id="centred_page">
		
<?php include('toolbar.php'); // Include admin toolbar ?>

<div id="spacer_block_top"></div>

<!--HEADER -->
<div id="header" onmouseover="sub_menu_hide();">
	<div id="header_content">
		<div id="header_logo_contact">
		
			<a href="<?=$abs_root;?>/index.php" style="border: 0px;">
			<?php if ($abs_opt['company_logo'] != '') : ?>
			<img src="{SUB:company_logo}" alt="{SUB:company_brandname}" border="0">
			<?php else : ?>
			<span id="displayname">{SUB:company_displayname}</span>
			<?php endif; ?>
			</a>
		
			<div>
				<span id="call_brand_on"><span ondblclick="abs_clear_session('<?=$abs_root;?>', event);">C</span>all {SUB:company_brandname} <span ondblclick="abs_toolbar_show(1); return false;">on</span><br></span>
				<span id="big_contact_no">{SUB:contact_tel}</span><br>
				<span id="other_contact_channels">
					<?php if ($abs_opt['whoson'] != 'OFF') : ?>
					<span style="white-space: pre;">  </span>
						<?php if ($abs_chat_status) : ?>
							<a href="#" onclick="window.open('http://<?=$abs_opt['whoson'];?>/chat/chatstart.htm?domain=<?=$_SERVER['HTTP_HOST'];?>&bg=http://<?=$_SERVER['HTTP_HOST'];?><?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/chat_bg.jpg', 'new_win', 'width=484,height=361'); return false;"><img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_on_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0"></a>
						<?php else : ?>
							<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_off_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0">
						<?php endif; ?>
					<?php endif; if ($abs_opt['contact_email']) :?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_email_<?=$abs_header_text_col;?>.gif" alt="" width="26" height="14" border="0">
					<a href="mailto:{SUB:contact_email}" class="email_head">Email us</a>
					<?php endif; if ($abs_opt['contact_skype']) : ?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_skype_<?=$abs_header_text_col;?>.gif" alt="" width="24" height="14" border="0">
					<a href="callto://{SUB:contact_skype}">Skype us</a>
					<?php endif; ?>
				</span>
			</div>

		</div>
	</div>
</div>
<!-- END HEADER -->

<!-- TABBED MENU -->
<?php
// Generate menu and footer links
$abs_menu = array();
$dtype = strtolower($abs_opt['dealer_type']);
include(DOCROOT . $abs_root . '/config/menudef.php');
if ($abs_opt['dealer_tab'] != 'ON') unset($abs_menu[5]);
list($abs_tab_menu_html, $abs_sub_menu_html, $abs_hidden_menu_html, $abs_footer_links) = abs_construct_menu($abs_menu, $_SERVER['PHP_SELF']);
?>
<?=$abs_tab_menu_html;?>
<!-- END TABBED MENU -->
<div id="sub_menu_container">
	<!-- VISIBLE SUB-MENU -->
	<?=$abs_sub_menu_html;?>
	<!-- END VISIBLE SUB-MENU -->
	<!-- HIDDEN SUB-MENUS -->
	<?=$abs_hidden_menu_html;?>
	<!-- END HIDDEN SUB-MENUS -->
</div>
<?php endif; // End of Miss page header for popups ?>

<?php ob_end_flush(); ob_start(array($abs_glos, 'substitute')); ?>












<style type="text/css">


<!--


@import url(<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/num_hp.css);


//-->


</style>





<!-- MAIN CONTENT AREA -->


<div id="main_area" onmouseover="sub_menu_hide();">


	<div id="main_area_content">


	<h1>UK VoIP Numbers - Divert UK Phone Calls to a VoIP phone</h1>
	<p>Get a UK VoIP number, when your clients call your VoIP number the call will be forwarded to your VoIP Phone / SIP Phone. Choose an easy to remember memorable gold VoIP number so your clients can easily remember your VoIP Phone number. We have a variety of VoIP Numbers for sale that include Geographic, Local Area VoIP numbers, Non-Geographic, National VoIP numbers and you can buy them online in minutes! Buy a VoIP Phone Number now and make sure you don&#39;t miss any phone call business in future!!
	</p><br/>

	
	
	
	<div id="numbers_content">
	
		<div id="list_left">
	
			
			
			<h1>Why get a Geographic UK VoIP Number:</h1>
			
			<p><b>Get more business in specific areas of the UK</b><br/><u>Target clients by area code from wherever you are</u><br/>
			You can target people who dial <a class="more" href="/numbers/local_area_uk_phone_numbers.php" title="Choose Local Area VoIP Numbers">local area numbers</a> first by using a geographic VoIP number. You can divert the calls to your VoIP phone, whether or not you are actually physically based within that are or not. You create a virtual local office by using geographic VoIP numbers. Geo-graphic VoIP numbers have area code prefixes that people are familiar with in their own areas; e.g. London is typically <a class="more" href="http://www.phone-numbers-uk.com/numbers/0207_london_uk_phone_numbers.php" title="Choose 0207 London VoIP Virtual Number">0207</a><br>
			
			
			<h1>Why get a Non-Geographic UK VoIP Number:</h1>
			
			<p><b>Create a "big national company" image</b><br><u>Get business from across the country</u><br/>
			Having a non-geographic number such as a tollfree <a class="more" href="http://www.phone-numbers-uk.com/numbers/0800_uk_phone_numbers.php" title="Choose 0800 VoIP Virtual Number">0800</a> VoIP number creates a big national company impression that may work for bigger businesses that are keen to attract many calls. There are also other ranges that include, <a class="more" href="http://www.phone-numbers-uk.com/numbers/0844_uk_phone_numbers.php" title="Get 0844 VoIP Virtual Number">0844</a>, <a class="more" href="http://www.phone-numbers-uk.com/numbers/0845_uk_phone_numbers.php" title="Choose 0845 VoIP Virtual Number">0845</a>, <a class="more" href="http://www.phone-numbers-uk.com/numbers/0870_uk_phone_numbers.php" title="Choose 0870 VoIP Virtual Number">0870</a> and <a class="more" href="http://www.phone-numbers-uk.com/numbers/0871_uk_phone_numbers.php" title="Choose 0871 VoIP Virtual Number">0871</a>, some may even generate you revenue as people are charged for the calls at higher rates that you earn a share of. 
			</p>
			
			<h1>Why get a Gold UK VoIP Number:</h1>
			
			<p><b>Gold Numbers are easier to remember</b><br><u>Get more business with a memorable VoIP Number</u><br/>
			Choose a Gold VoIP number of you want your clients to easily remember your number. These numbers will "stick" in the minds of your clients and they will be more likely to call you. They can easily remember the numbers without a pen and paper! 
			<br/><a class="more" href="http://www.phone-numbers-uk.com/numbers/uk_gold_phone_numbers.php" title="Gold VoIP Numbers">Get Number</a></p>
			
			<h1>VoIP Call Forwarding specifications</h1>
		<p>Voice over Internet Protocol is optimized for the transmission of speech over the Internet, and used in cheaper alternatives to traditional PSTN telephony audio. We currently support the SIP (Session Initiation Protocol) a common type of VoIP standard. IAX Protocol used by the Asterisk VoIP PBX and FreeSwitch Softswitch as an alternative to SIP support planned.
	<br>Choose the level of compression, Instant changeover to PSTN (Public Switched Telephone Network) if your broadband is misbehaving, Built-in test facilities ease fault finding, Enjoy incredible savings without the loss of PSTN			
			
		
			<ul id="call_services">
			
			
					
				
			</ul>
		
			
		</div>

		<div id="details_right">
	<h1>UK VoIP Number Features:</h1>
		<ul id="phone_services">

	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-forwarding-voip.jpg');"><b>Call Divert Virtual number using VoIP</b><br>
		Call Forward your Virtual UK number phone calls using VoIP (Voice over Internet Protocol). Divert and Forward your calls to your VoIP phone almost anywhere in the world!  <br>
		
			
		</ul>
		
		<h1>Geographic, Local Area UK VoIP Ranges:</h1>
		
		
				<ul id="phone_services">

	<li style="background-image: url('/numbers/voip-uk-numbers/0207-voip-numbers.jpg');"><b>0207 VoIP Numbers (Central London)</b><br>
		Call Divert a 0207 (London Area Code) Local Area, Geographic VoIP Number to your VoIP Phone.<br>
		<a class="more" href="/numbers/0207_london_uk_phone_numbers.php" title="0207 Virtual VoIP Phone Numbers">Get Number</a>
	<li style="background-image: url('/numbers/voip-uk-numbers/local-area-uk-voip-numbers.jpg');"><b>Local Area UK VoIP Numbers </b><br>
		Divert Local Area, geographic VoIP Number to your VoIP Phone<br>
		<a class="more" href="/numbers/local_area_uk_phone_numbers.php" title="Local Area Virtual VoIP Phone Numbers">Get Number</a>

					
		</ul>
		
		<h1>National, Non-Geographic UK VoIP Ranges:</h1>
		
				<ul id="phone_services">

	<li style="background-image: url('/numbers/voip-uk-numbers/0800-voip-numbers.jpg');"><b>0800 UK VoIP Numbers (Toll free)</b><br>
		Divert National, Non- Geographic 0800 Free phone VoIP Number to your VoIP Phone<br>
	<a class="more" href="/numbers/0800_uk_phone_numbers.php" title="0800 UK VoIP Numbers (Toll free)">Get Number</a></p>
	
	<li style="background-image: url('/numbers/voip-uk-numbers/0844-voip-numbers.jpg');"><b>0844 UK VoIP Numbers</b><br>
		Divert National, Non- Geographic 0844 VoIP Number to your VoIP Phone<br>
	<a class="more" href="/numbers/0844_uk_phone_numbers.php" title="0844 UK VoIP Numbers">Get Number</a></p>
	
	<li style="background-image: url('/numbers/voip-uk-numbers/0845-voip-numbers.jpg');"><b>0845 UK VoIP Numbers</b><br>
		Divert National, Non- Geographic 0845 VoIP Number to your VoIP Phone<br>
	<a class="more" href="/numbers/0845_uk_phone_numbers.php" title="0845 UK VoIP Numbers">Get Number</a></p>
	
	<li style="background-image: url('/numbers/voip-uk-numbers/0870-voip-numbers.jpg');"><b>0870 UK VoIP Numbers</b><br>
		Divert National, Non- Geographic 0870 VoIP Number to your VoIP Phone<br>
	<a class="more" href="/numbers/0870_uk_phone_numbers.php" title="0870 UK VoIP Numbers">Get Number</a></p>
	
	<li style="background-image: url('/numbers/voip-uk-numbers/0871-voip-numbers.jpg');"><b>0871 UK VoIP Numbers</b><br>
		Divert National, Non- Geographic 0871 VoIP Number to your VoIP Phone<br>
	<a class="more" href="/numbers/0871_uk_phone_numbers.php" title="0871 UK VoIP Numbers">Get Number</a></p>	
			
		</ul>
		
		<p>
	
			
			
		</div>
	</div>
	
	
	<div style="text-align:center;width:auto; margin:20px 0;">

			<h1><br><br>We also offer other UK Phone Number ranges that include:</h1>
	
		<div>
			<a href="{ROOT}/numbers/0207" class="infotext nu" title="0207 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0207.gif" border="0" alt="0207 Number" width="69" height="47" /><span class="tipcontents">Get a 0207 number</span></a>
			<a href="{ROOT}/numbers/ukgeo" class="infotext nu" title="UK Geo Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_uk_local.gif" border="0" alt="UK Local Number" width="69" height="47" /><span class="tipcontents">Get a UK Local number: Manchester, Liverpool, Bristol, and many more...</span></a>
			<a href="{ROOT}/numbers/0800" class="infotext nu" title="0800 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0800.gif" border="0" alt="0800 Number" width="69" height="47" /><span class="tipcontents">Get a 0800 number</span></a>
			<a href="{ROOT}/numbers/0845" class="infotext nu" title="0845 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0845.gif" border="0" alt="0845 Number" width="69" height="47" /><span class="tipcontents">Get a 0845 number</span></a>
			<a href="{ROOT}/numbers/0870" class="infotext nu" title="0870 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0870.gif" border="0" alt="0870 Number" width="69" height="47" /><span class="tipcontents">Get a 0870 number</span></a>
			<a href="{ROOT}/numbers/0844" class="infotext nu" title="0844 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0844.gif" border="0" alt="0844 Number" width="69" height="47" /><span class="tipcontents">Get a 0844 number</span></a>
			<a href="{ROOT}/numbers/0871" class="infotext nu" title="0871 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0871.gif" border="0" alt="0871 Number" width="69" height="47" /><span class="tipcontents">Get a 0871 number</span></a>
			<a href="{ROOT}/numbers/07d" class="infotext nu" title="07d Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07D.gif" border="0" alt="07-K Number" width="69" height="47" /><span class="tipcontents">Get a 07 D-rate number</span></a>
			<a href="{ROOT}/numbers/07k" class="infotext nu" title="07k Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07K.gif" border="0" alt="07-D Number" width="69" height="47" /><span class="tipcontents">Get a 07 K-rate number</span></a>
			<a href="{ROOT}/numbers/07pn2" class="infotext nu" title="07pn2 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07PN2.gif" border="0" alt="07-PN2 Number" width="69" height="47" /><span class="tipcontents">Get a 070 PN2-rate personal number</span></a>
			</div>
			
	</div>
	
	
	
	</div>


</div>


<!-- END MAIN CONTENT AREA -->






<?php include($abs_typinv); ?>





<?php include(DOCROOT . $abs_root . '/common/footer.php'); ?>


