<?php


// Call in the XComponents engine and options file


define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?


define('DOCROOT', 


	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 


		$_SERVER['DOCUMENT_ROOT'] : 


		(


			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 


				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 


				(


					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?


						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :


						'.'


				)


		)


	);


include(DOCROOT . '/dmx/dmx_options.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');





// Abs code starts here





if (isset($_GET['dmx_areacode'])) $_SESSION['ABS']['last_areacode'] = $_GET['dmx_areacode'];


$abs_lac = isset($_SESSION['ABS']['last_areacode']) ? $_SESSION['ABS']['last_areacode'] : '';





// Declare an interest in ukgeo


dmx_update_nc_memory(NULL, array('range' => 'ukgeo', 'areacode' => $abs_lac));





// Define tariff here if page contains a NumberChooser


$abs_xparams['tariffs'] = 'Public.EC-UK-GEO-All-Bas';





$abs_root = '';


@include(DOCROOT . '/abs_version_control.php');


//include(DOCROOT . $abs_root . '/common/header.php');


?>










<?php

// header.php
// -----------------------------------------------------------------------------
// The common header for all dmABS web pages
//
// Project    > A16-dmABS-1.5-Feb09
// Copyright  > (C) Digital Mail Limited (2005 - 2009)
// Author     > RAK for DML
// -----------------------------------------------------------------------------

include_once(DOCROOT . $abs_root . '/config/tech_options.php');
include_once(DOCROOT . $abs_root .'/common/abs_lib.php');
include_once(DOCROOT . $abs_root .'/common/abs_run.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Buy a UK Phone Number - www.phone-numbers-uk.com</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="description" content="Get a UK Number and forward it to your existing phone or fax number. Add Voicemail, fax to email, call hunt, switchboard and other call features!">
<meta name="keywords" content="UK Numbers, UK Numbers, Virtual UK, VoIP UK, Phone UK Number, Fax UK number, Geographic UK Numbers, Non-Geographic UK Numbers, DDI numbers, UK telephone">
<meta name="robots" content="index, follow">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">

<!-- dmABS STYLESHEETS & JS-->
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/layout.css" rel="stylesheet" type="text/css" media="All">
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/typography_and_colours.css" rel="stylesheet" type="text/css" media="All">
<script language="javascript" src="<?=$abs_root;?>/js/abs_interface.js" type="text/javascript"></script>

<?php if ($abs_sitemode != 'proplus') : ?>
<!-- Stylesheet overrides generated from $abs_opt -->
<style type="text/css">
<?=$abs_header_bg;?>
#header, .header_bar { background-color: <?=$abs_opt['header_block_colour'];?>; }
#header, .header_bar, #header a { color: <?=$abs_header_text_col;?>; }
#header a { border-bottom: none !important; }
p{text-align:justify;}

/* h1, h2 { color: <?=$abs_opt['col1'];?>; } */

</style>
<!-- End stylesheet overrides generated from $abs_opt -->
<?php endif; ?>

<!-- ************************** -->
<!-- (1) INITIALISE XCOMPONENTS -->
<!-- ************************** -->
<?php
dmx_initialise_trolley();
$tst_additional_params_json = abs_get_tst_additional_params_json();
?>

<!-- **************************** -->
<!-- (2) SEED ADDITIONAL TST DATA -->
<!-- **************************** -->

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
try
{
	var tst_additional_params = <?=$tst_additional_params_json;?>;
}
catch(error) {;}
/*]]>*/
</script>

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
var abs_root = '<?=$abs_root;?>';
/*]]>*/
</script>

<!-- *************** -->
<!-- (3) INCLUDE TST -->
<!-- *************** -->
<?php
dmx_include_tst();
?>
</head> <!-- XCom & TST modifications added -->
<?php
// $abs_login_status = get_login_status(); // Get login status XComponent in its unboxed form
ob_start(array($abs_glos, 'substitute'));
abs_prepend_dynamic_substitutions(); // Only known once trolley session has been initialised
?>

<body>

<?php if (!isset($abs_no_header)) : // Miss page header for popups ?>
<div id="centred_page">
		
<?php include('toolbar.php'); // Include admin toolbar ?>

<div id="spacer_block_top"></div>

<!--HEADER -->
<div id="header" onmouseover="sub_menu_hide();">
	<div id="header_content">
		<div id="header_logo_contact">
		
			<a href="<?=$abs_root;?>/index.php" style="border: 0px;">
			<?php if ($abs_opt['company_logo'] != '') : ?>
			<img src="{SUB:company_logo}" alt="{SUB:company_brandname}" border="0">
			<?php else : ?>
			<span id="displayname">{SUB:company_displayname}</span>
			<?php endif; ?>
			</a>
		
			<div>
				<span id="call_brand_on"><span ondblclick="abs_clear_session('<?=$abs_root;?>', event);">C</span>all {SUB:company_brandname} <span ondblclick="abs_toolbar_show(1); return false;">on</span><br></span>
				<span id="big_contact_no">{SUB:contact_tel}</span><br>
				<span id="other_contact_channels">
					<?php if ($abs_opt['whoson'] != 'OFF') : ?>
					<span style="white-space: pre;">  </span>
						<?php if ($abs_chat_status) : ?>
							<a href="#" onclick="window.open('http://<?=$abs_opt['whoson'];?>/chat/chatstart.htm?domain=<?=$_SERVER['HTTP_HOST'];?>&bg=http://<?=$_SERVER['HTTP_HOST'];?><?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/chat_bg.jpg', 'new_win', 'width=484,height=361'); return false;"><img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_on_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0"></a>
						<?php else : ?>
							<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_off_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0">
						<?php endif; ?>
					<?php endif; if ($abs_opt['contact_email']) :?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_email_<?=$abs_header_text_col;?>.gif" alt="" width="26" height="14" border="0">
					<a href="mailto:{SUB:contact_email}" class="email_head">Email us</a>
					<?php endif; if ($abs_opt['contact_skype']) : ?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_skype_<?=$abs_header_text_col;?>.gif" alt="" width="24" height="14" border="0">
					<a href="callto://{SUB:contact_skype}">Skype us</a>
					<?php endif; ?>
				</span>
			</div>

		</div>
	</div>
</div>
<!-- END HEADER -->

<!-- TABBED MENU -->
<?php
// Generate menu and footer links
$abs_menu = array();
$dtype = strtolower($abs_opt['dealer_type']);
include(DOCROOT . $abs_root . '/config/menudef.php');
if ($abs_opt['dealer_tab'] != 'ON') unset($abs_menu[5]);
list($abs_tab_menu_html, $abs_sub_menu_html, $abs_hidden_menu_html, $abs_footer_links) = abs_construct_menu($abs_menu, $_SERVER['PHP_SELF']);
?>
<?=$abs_tab_menu_html;?>
<!-- END TABBED MENU -->
<div id="sub_menu_container">
	<!-- VISIBLE SUB-MENU -->
	<?=$abs_sub_menu_html;?>
	<!-- END VISIBLE SUB-MENU -->
	<!-- HIDDEN SUB-MENUS -->
	<?=$abs_hidden_menu_html;?>
	<!-- END HIDDEN SUB-MENUS -->
</div>
<?php endif; // End of Miss page header for popups ?>

<?php ob_end_flush(); ob_start(array($abs_glos, 'substitute')); ?>












<style type="text/css">


<!--


@import url(<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/num_hp.css);


//-->


</style>





<!-- MAIN CONTENT AREA -->


<div id="main_area" onmouseover="sub_menu_hide();">


<div id="head_block">

			<div id="head_orange">
				<h1>NUMBER RANGES</h1>
				<ul>
					<li>
						<a href="/numbers/0207_london_uk_phone_numbers.php" title="Get 0207 London UK Numbers">0207 London Numbers</a>
					</li><li>
						<a href="/numbers/local_area_uk_phone_numbers.php" title="Get a UK Local Regional Number">UK Local Area Numbers</a>
					</li><li>
						<a href="/numbers/0800_uk_phone_numbers.php" title="Get 0800 Freefone/Toll Free Numbers">0800 UK Numbers</a>
					</li><li>
						<a href="/numbers/0844_uk_phone_numbers.php" title="Get 0844 UK Numbers">0844 UK Numbers</a>
					</li><li>
						<a href="/numbers/0845_uk_phone_numbers.php" title="Get 0845 UK Numbers">0845 UK Numbers</a>
					</li><li>
						<a href="/numbers/0870_uk_phone_numbers.php" title="Get 0870 UK Numbers">0870 UK Numbers</a>
					</li><li>
						<a href="/numbers/0871_uk_phone_numbers.php" title="Get 0871 UK Numbers">0871 UK Numbers</a>
					</li><li>
						<a href="/numbers/07d_uk_phone_numbers.php" title="Get 07-D UK Numbers">07-D UK Numbers</a>
					</li><li>
						<a href="/numbers/07k_uk_phone_numbers.php" title="Get 07-K UK Numbers">07-K UK Numbers</a>
					</li><li>
						<a href="/numbers/07pn2_uk_phone_numbers.php" title="Get Personal UK Numbers">07-PN2 UK Numbers</a>
					</li><li>
						<a href="/numbers/uk_gold_phone_numbers.php" title="Get Memorable Gold/Premium Number">Gold Numbers</a>
					</li>
				</ul>

			</div>

			<div id="head_image">

				<p>Choose your UK Phone Number, FAX or VOIP Number.<br/>

				<b>Divert your UK phone number to your existing phone lines.</b><br/>

				Target UK Customers Geo-Graphically or Nationally.<br/>

				Call Forwarding, Diverts, Voice Mail and more!</p>								
				
				<div id="quick_select">					
					<p>Enter dialing code (e.g. 0800, 0207) or city name below to get number.</p>	
					
					<script type="text/javascript" src="/autocomplete/lib/jquery.js"></script>
	
					<script type='text/javascript' src='/autocomplete/lib/jquery.bgiframe.min.js'></script>
					<script type='text/javascript' src='/autocomplete/lib/jquery.ajaxQueue.js'></script>
					<script type='text/javascript' src='/autocomplete/lib/thickbox-compressed.js'></script>
					<script type='text/javascript' src='/autocomplete/jquery.autocomplete.js'></script>
					<script type='text/javascript' src='/autocomplete/localdata.js'></script>
					<link rel="stylesheet" type="text/css" href="/autocomplete/jquery.autocomplete.css" />
						
					<script type="text/javascript">
					$().ready(function() {
					
						$("#suggest14").autocomplete(cities, {
							matchContains: true,
							minChars: 0
						});
						
					});
					</script>
													
					<form autocomplete="off" method="post" action="/select-number-page.php">
						<div class="select_contain">
							<input type="text" id="suggest14" class="ac_input" name="city" value="Enter dialling code or city name" onfocus="if(!this._haschanged){this.value=''};this._haschanged=true;" /> &nbsp;
						</div>
						<input type="submit" name="submit" class="quick_submit" value="" onmouseover="this.style.cursor='pointer'" onmouseout="this.style.cursor='auto'" />
					</form>			
				</div>

			</div>



			<div id="head_orange">
				<h1>NUMBER SERVICES</h1>
				<ul>
					<li>
						<a href="http://www.phone-numbers-uk.com/services/call_divert_uk_number_call_forwarding.php" title="Get UK Number with Call Forwarding">Call Forwarding Numbers</a>
					</li><li>
						<a href="http://www.phone-numbers-uk.com/services/call_divert_uk_number_call_forwarding.php" title="Get UK Number with Call Divert">Call Divert UK Numbers</a>
					</li><li>	
						<a href="http://www.phone-numbers-uk.com/services/voicemail_uk_numbers_call_hunting.php" title="Get UK Numbers with Voice Mail">Voice Mail UK Numbers</a>
					</li><li>
						<a href="http://www.phone-numbers-uk.com/services/fax_to_email_uk_fax_numbers.php" title="Get Fax 2 Email UK Numbers">UK Fax to Email Numbers</a>
					</li><li>
						<a href="http://www.phone-numbers-uk.com/services/switchboard_virtual_uk_numbers.php" title="Get Virtual Switchboard UK Numbers">UK Virtual Switchboard</a>
					</li><li>	
						<a href="http://www.phone-numbers-uk.com/services/human_phone_answering_service_uk_numbers.php" title="Get UK Numbers with Live Telephone Answering">Live Phone Answering</a>
					</li><li>
						<a href="http://www.phone-numbers-uk.com/numbers/virtual_numbers_uk_virtual_numbers.php" title="Get UK Numbers">UK Phone Numbers</a>
					</li><li>	
						<a href="http://www.phone-numbers-uk.com/numbers/virtual_numbers_uk_virtual_numbers.php" title="Get a Virtual UK Number">Virtual UK Numbers</a>
					</li><li>	
						<a href="http://www.phone-numbers-uk.com/numbers/voip-uk-numbers/uk-voip-numbers.php" title="Get UK Numbers with VoIP">UK VOIP Numbers</a>
					</li><li>
						<a href="http://www.phone-numbers-uk.com/numbers/did-numbers-uk/uk-did-numbers.php" title="Get DID UK Numbers">UK DID Numbers</a>
					</li><li>
						<a href="http://www.phone-numbers-uk.com/numbers/44-uk-numbers/44-uk-numbers.php" title="Get +44 UK Numbers">+44 UK Numbers</a>
					</li>
				</ul>
				
			</div>
			

		</div>

	<div id="main_area_content">



	<h1>UK Numbers (Direct Inbound Dialing Numbers) - Virtual Numbers that forward to existing phones</h1>
	<p>A UK number is a number that forwards calls to an existing phone line. They are useful for people that would like a number in an area or country without having to be physically present. For example you could forward a London UK Area code 0207 number to an existing phone line in the UK or outside of the UK at reasonable rates without even being there. This enables you to target clients that would typically dial for services in their own area code. You can choose the UK area code and number that you would like for your UK number, or choose a non-geographic UK number such as 0800, 0844, 0845, 0870, 0871 UK numbers if you want to target the UK nationwide. Personal or mobile "follow me" numbers are also available for people on the move. You can change the diverts to "follow you around" so you only need to give out one number and your clients can reach you anywhere.
<p>UK Number phone calls can be forwarded to most landlines and mobile phones in the UK as well as phone lines around the world using traditional PSTN and VoIP technology. There is no need to rent another line with a UK number; you simply enter the existing phone that you would like the calls to be forwarded to. You can login and change the destination number that the calls are routed to any time online. You can therefore keep your UK number if you move offices by changing the routing destination, or if you are away simply divert the number to the place you are staying.

	</p><br/>

	
	
<a title="DI UK Numbers" style="border:0;" href="/numbers/local_area_uk_phone_numbers.php">
	<img style="border:0; position:relative; left:-10px;" src="/numbers/local-area-code-numbers.jpg" width="931" height="245" alt="UK Phone Numbers"></a>
	
	<div id="numbers_content">
	
		<div id="list_left">
		
		<ul id="phone_services">

		
		</ul>
		
		<h1>Geographic, Local Area UK Ranges:</h1>
		
		
				<ul id="phone_services">

	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-0207-uk-numbers.jpg');"><b>0207 UK Numbers (Central London)</b><br>
		Call Forward a 0207 (London Area Code) Local Area, Geographic UK Number to your existing landline, fax, VoIP or mobile phones<br>
		<a class="more" href="/numbers/0207_london_uk_phone_numbers.php" title="0207 Virtual UK Phone Numbers">Get Number</a>
	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-local-area-uk-uk-numbers.jpg');"><b>Local Area UK Numbers </b><br>
		Call Forward Local Area, geographic UK Number to your existing landline, fax, VoIP or mobile phones<br>
		<a class="more" href="/numbers/local_area_uk_phone_numbers.php" title="Local Area Virtual UK Phone Numbers">Get Number</a>

					
		</ul>
		
		<h1>National, Non-Geographic UK Ranges:</h1>
		
				<ul id="phone_services">

	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-0800-uk-numbers.jpg');"><b>0800 UK Numbers (Toll free)</b><br>
		Call Forward National, Non- Geographic 0800 Free phone UK Number to your existing landline, fax, VoIP or mobile phones<br>
	<a class="more" href="/numbers/0800_uk_phone_numbers.php" title="0800 UK Numbers (Toll free)">Get Number</a></p>
	
	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-0844-uk-numbers.jpg');"><b>0844 UK Numbers</b><br>
		Call Forward National, Non- Geographic 0844 UK Number to your existing landline, fax, VoIP or mobile phones<br>
	<a class="more" href="/numbers/0844_uk_phone_numbers.php" title="0844 UK Numbers">Get Number</a></p>
	
	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-0845-uk-numbers.jpg');"><b>0845 UK Numbers</b><br>
		Call Forward National, Non- Geographic 0845 UK Number to your existing landline, fax, VoIP or mobile phones<br>
	<a class="more" href="/numbers/0845_uk_phone_numbers.php" title="0845 UK Numbers">Get Number</a></p>
	
	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-0870-uk-numbers.jpg');"><b>0870 UK Numbers</b><br>
		Call Forward National, Non- Geographic 0870 UK Number to your existing landline, fax, VoIP or mobile phones<br>
	<a class="more" href="/numbers/0870_uk_phone_numbers.php" title="0870 UK Numbers">Get Number</a></p>
	
	<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-0871-uk-numbers.jpg');"><b>0871 UK Numbers</b><br>
		Call Forward National, Non- Geographic 0871 UK Number to your existing landline, fax, VoIP or mobile phones<br>
	<a class="more" href="/numbers/0871_uk_phone_numbers.php" title="0871 UK Numbers">Get Number</a></p>	
	
	
	</ul>
		
		<h1>Personal Mobile UK Numbers:</h1>
		
				<ul id="phone_services">
	
		<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-070Drate-uk-numbers.jpg');"><b>070 D Rate UK Numbers</b><br>
		Call Forward 070 UK Number to your existing landline, fax or mobile phones<br>
	<a class="more" href="http://www.phone-numbers-uk.com/numbers/07d_uk_phone_numbers.php" title="0871 UK Numbers">Get Number</a></p>	
	
		<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-070k-rate-uk-numbers.jpg');"><b>070 K Rate UK Numbers</b><br>
		Call Forward 070 UK Number to your existing landline, fax or mobile phones<br>
	<a class="more" href="http://www.phone-numbers-uk.com/numbers/07k_uk_phone_numbers.php" title="0871 UK Numbers">Get Number</a></p>	
	
		<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-070PN2-uk-numbers.jpg');"><b>PN2 UK Numbers</b><br>
		Call Forward 070 UK Number to your existing landline, fax or mobile phones<br>
	<a class="more" href="http://www.phone-numbers-uk.com/numbers/07pn2_uk_phone_numbers.php" title="0871 UK Numbers">Get Number</a></p>	
			
		</ul>
	
	<h1>Gold UK Numbers:</h1>
	
					<ul id="phone_services">
	
		<li style="background-image: url('/numbers/buy-uk-phone-numbers/buy-gold-uk-numbers.jpg');"><b>070 D Rate UK Numbers</b><br>
		Call Forward a gold UK Number to your existing landline, fax, VoIP or mobile phones<br>
	<a class="more" href="http://www.phone-numbers-uk.com/numbers/07d_uk_phone_numbers.php" title="0871 UK Numbers">Get Number</a></p>	
	
		
			
		</ul>
	
			
			
			
			
			<h1>Why get a Gold UK Number:</h1>
			
			<p><b>Gold Numbers are easier to remember</b><br><u>Get more business with a memorable UK Number</u><br/>
			Choose a Gold UK number of you want your clients to easily remember your number. These numbers will "stick" in the minds of your clients and they will be more likely to call you. They can easily remember the numbers without a pen and paper! 
			<br/><a class="more" href="http://www.phone-numbers-uk.com/numbers/uk_gold_phone_numbers.php" title="Gold UK Numbers">Get Number</a></p>
			
			<h1>UK Number Features:</h1>
		<p>UK numbers can also be combined with various call handling options, for example you can add voicemail, fax to email, call hunting to various phones, virtual switchboard features without the expense of new machinery.
	<p>We also offer other add on features, such as live answering services, where a human virtual receptionist will take a short message for you and then email you the details, so that you clients are not faced with a pre-recorded voicemail system.			
			<p> Our numbers come with a 14 day money back guarantee. The diverts can be changed anytime online and they are available online now!
		
		<h1>Measure marketing campaigns with UK Numbers</h1>
		<p>Use a unique UK number in your marketing campaigns and track all the incoming phone calls without having to buy another new phone line. You can log on to see the incoming calls that your advertising has generated.

		
			<ul id="call_services">
			
			</ul>
		
			
		</div>

		<div id="details_right">
		
	<ul id="phone_services">	
		
	<h1>Inbound UK Number Call Forwarding/Divert</h1>

	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-forwarding.jpg');"><b>Call Divert UK numbers</b><br>
		Call Forward your Virtual UK number phone calls to your existing phone (landline, mobile or VoIP) or fax using a UK number. Divert and Forward your calls to your UK phone almost anywhere in the world! Change the call divert routing at anytime!
		<a class="more" href="http://www.phone-numbers-uk.com/services/call_divert_uk_number_call_forwarding.php" title="Call Forwarding UK Numbers">Get Number</a></p>	

	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-forwarding-phone-line.jpg');"><b>Call Divert a UK Number to Fixed Phone Line</b><br>
		Call Forward virtual UK telephone number calls to an existing fixed phone line at your office, house or call centre, both in the UK or in other countries.
		<a class="more" href="http://www.phone-numbers-uk.com/services/call_divert_uk_number_call_forwarding.php" title="UK Phone Forwarding Numbers">Read more</a>
		
	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-forwarding-faxline.jpg');"><b>Call Divert a UK Number to Fax Line</b><br>

		Use Call Forwarding to route a virtual UK fax number to your existing fax line number at your office, house or call centre, both in the UK or in other countries.
		<a class="more" href="http://www.phone-numbers-uk.com/services/call_divert_uk_number_call_forwarding.php" title="UK Fax Numbers">Read more</a>

	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-forwarding-mobile-phone.jpg');"><b>Call Divert a UK Number to Mobile Phone</b><br>
		Call Forward a UK virtual phone number calls to your current mobile phone within the UK and in other countries where available.
		<a class="more" href="http://www.phone-numbers-uk.com/services/call_divert_uk_number_call_forwarding.php" title="UK Mobile Forwarding Numbers">Read more</a>

	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-forwarding-voip.jpg');"><b>Call Divert a UK Number to VoIP Phone</b><br>
		Call Forward a Virtual UK Phone number using VoIP (Voice over Internet Protocol). <br>
		<a class="more" href="http://www.phone-numbers-uk.com/numbers/voip-uk-numbers/uk-voip-numbers.php" title="UK VoIP Numbers">Read more</a>	
		</li>
		</ul>	
<h1>Call Handling options for UK Numbers</h1>
<p>We offer a variety of call handling features so that you can give your customers the professional experience they deserve. We offer most inbound UK call handling options that include voicemail, fax to email, call hunting, professional voice overs for your answering / voice prompts, tele-conferencing and virtual switchboards with tone driven menus! You can add these services at any stage!</p>
	
	
		<ul id="phone_services">	
		
	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-voicemail.jpg');"><b>UK Number with Voicemail</b><br>
		Don&#39;t miss any business if you are busy in a meeting, simply let your voicemail handle your messages. You can even retrieve your voicemail online via your email!
		<a class="more" href="/services/voicemail_uk_numbers_call_hunting.php" title="UK Numbers">Read more</a>
	</li>
		<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-call-hunt.jpg');"><b>UK Number with Call Hunting</b><br>
		If your number is not answered within the specified amount of rings, the call will be diverted to another phone number you have specified. 
		<a class="more" href="/services/voicemail_uk_numbers_call_hunting.php" title="UK Numbers">Read more</a>

	</li>
	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-fax-to-email.jpg');"><b>UK Number with Fax to Email</b><br>
		Use you current fax number and machine or receive your UK faxes in your email inbox, access via your email from anywhere online.
		<a class="more" href="/services/fax_to_email_uk_fax_numbers.php" title="UK Numbers">Read more</a>
	</li>

	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-switchboard.jpg');"><b>UK Number with Virtual Switchboard</b><br>
		Use the virtual switchboard for your UK number to direct your calls as you choose. Tone driven menus and pre-recorded information can save your staff time!
		<a class="more" href="/services/switchboard_virtual_uk_numbers.php" title="UK Numbers">Read more</a>

	</li>
	<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-tele-pro-voiceover.jpg');"><b>UK Number with Pro Voiceover</b><br>
		Have a Professional voice artist record your messages and voice prompts for you, so that you always greet your clients professionally..
		<a class="more" href="/services/professional_voiceover_uk_numbers.php" title="UK Numbers">Read more</a>
	</li>
		<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-tele-conferencing.jpg');"><b>UK Number with Tele-Conferencing</b><br>
		Use group tele-conferencing so that you can have more than two people involved in the same phone call at the same time. 
		<a class="more" href="/services/tele_conferencing_uk_numbers.php" title="UK Numbers">Read more</a>

	</li>
		<li style="background-image: url('/numbers/uk-phone-numbers/uk-phone-numbers-human-answering-service.jpg');"><b>UK Number with Live Answering Service</b><br>
		A professional human live answering service. The professional human operator will take a message for you so your clients don't deal with a machine.
		<a class="more" href="/services/human_phone_answering_service_uk_numbers.php" title="UK Numbers">Read more</a>
	</li>
	
	</ul>
	
	
	<h1>Why get a Geographic UK Number?:</h1>
			
			<p><b>Get more business in specific areas of the UK</b><br/><u>Target clients by UK area code from wherever you are</u><br/>
			You can target people who dial <a class="more" href="/numbers/local_area_uk_phone_numbers.php" title="Choose Local Area UK Numbers">local area numbers</a> first by using a geographic UK number. You can divert the UK Number calls calls to your existing phone, whether or not you are actually physically based within that area or not. You create a UK virtual local office by using geographic UK numbers. Geographical UK numbers have area code prefixes that people are familiar with in their own areas; e.g. London is typically <a class="more" href="http://www.phone-numbers-uk.com/numbers/0207_london_uk_phone_numbers.php" title="Choose 0207 London UK Virtual Number">0207</a><br>
			
			
			<h1>Why get a Non-Geographic UK Number?:</h1>
			
			<p><b>Create a "big national UK company" image</b><br><u>Get business from across the country</u><br/>
			Having a non-geographic UK number such as a tollfree <a class="more" href="http://www.phone-numbers-uk.com/numbers/0800_uk_phone_numbers.php" title="Choose 0800 UK Virtual Number">0800</a> UK number creates a big national company impression that may work for bigger businesses that are keen to attract many calls. There are also other ranges that include, <a class="more" href="http://www.phone-numbers-uk.com/numbers/0844_uk_phone_numbers.php" title="Get 0844 UK Virtual Number">0844</a>, <a class="more" href="http://www.phone-numbers-uk.com/numbers/0845_uk_phone_numbers.php" title="Choose 0845 UK Virtual Number">0845</a>, <a class="more" href="http://www.phone-numbers-uk.com/numbers/0870_uk_phone_numbers.php" title="Choose 0870 UK Virtual Number">0870</a> and <a class="more" href="http://www.phone-numbers-uk.com/numbers/0871_uk_phone_numbers.php" title="Choose 0871 UK Virtual Number">0871</a>, some may even generate you revenue as people are charged for the calls at higher rates that you earn a share of. You can divert these calls to phones in the UK and also to international destinations.
			</p>
			
			<h1>Why get a Mobile / Personal UK Number?:</h1>
			
			<p><b>Move around freely with a mobile UK Number</b><br><u>Give your clients one number and divert accordingly</u><br/>
			You can use a  <a class="more" href="http://www.phone-numbers-uk.com/numbers/07pn2_uk_phone_numbers.php" title="Choose PN2 UK Virtual Number">"Personal number two number"</a> and change the diverts to follow you around the world. Give out one number and keep it as you move around. 070 "Follow Me" Mobile Numbers come in <a class="more" href="http://www.phone-numbers-uk.com/numbers/07pn2_uk_phone_numbers.php" title="Choose D Rate UK Virtual Number">070 D -Rate</a>, <a class="more" href="http://www.phone-numbers-uk.com/numbers/07pn2_uk_phone_numbers.php" title="Choose K Rate UK Virtual Number">070 K Rate</a>, and <a class="more" href="http://www.phone-numbers-uk.com/numbers/07pn2_uk_phone_numbers.php" title="Choose PN2 UK Virtual Number">070 PN2 Rate</a> options.<br>
			<a class="more" href="http://www.phone-numbers-uk.com/numbers/07pn2_uk_phone_numbers.php" title="PN2 UK Numbers">Get Number</a></p>
			</p>
		
		
			


		
		<p>
	
			
			
		</div>
	</div>
	
	
	<div style="text-align:center;width:auto; margin:20px 0;">

			<h1><br><br>We also offer other UK Phone Number ranges that include:</h1>
	
		<div>
			<a href="{ROOT}/numbers/0207" class="infotext nu" title="0207 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0207.gif" border="0" alt="0207 Number" width="69" height="47" /><span class="tipcontents">Get a 0207 number</span></a>
			<a href="{ROOT}/numbers/ukgeo" class="infotext nu" title="UK Geo Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_uk_local.gif" border="0" alt="UK Local Number" width="69" height="47" /><span class="tipcontents">Get a UK Local number: Manchester, Liverpool, Bristol, and many more...</span></a>
			<a href="{ROOT}/numbers/0800" class="infotext nu" title="0800 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0800.gif" border="0" alt="0800 Number" width="69" height="47" /><span class="tipcontents">Get a 0800 number</span></a>
			<a href="{ROOT}/numbers/0845" class="infotext nu" title="0845 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0845.gif" border="0" alt="0845 Number" width="69" height="47" /><span class="tipcontents">Get a 0845 number</span></a>
			<a href="{ROOT}/numbers/0870" class="infotext nu" title="0870 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0870.gif" border="0" alt="0870 Number" width="69" height="47" /><span class="tipcontents">Get a 0870 number</span></a>
			<a href="{ROOT}/numbers/0844" class="infotext nu" title="0844 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0844.gif" border="0" alt="0844 Number" width="69" height="47" /><span class="tipcontents">Get a 0844 number</span></a>
			<a href="{ROOT}/numbers/0871" class="infotext nu" title="0871 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0871.gif" border="0" alt="0871 Number" width="69" height="47" /><span class="tipcontents">Get a 0871 number</span></a>
			<a href="{ROOT}/numbers/07d" class="infotext nu" title="07d Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07D.gif" border="0" alt="07-K Number" width="69" height="47" /><span class="tipcontents">Get a 07 D-rate number</span></a>
			<a href="{ROOT}/numbers/07k" class="infotext nu" title="07k Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07K.gif" border="0" alt="07-D Number" width="69" height="47" /><span class="tipcontents">Get a 07 K-rate number</span></a>
			<a href="{ROOT}/numbers/07pn2" class="infotext nu" title="07pn2 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07PN2.gif" border="0" alt="07-PN2 Number" width="69" height="47" /><span class="tipcontents">Get a 070 PN2-rate personal number</span></a>
			</div>
			
	</div>
	
	
	
	</div>


</div>


<!-- END MAIN CONTENT AREA -->






<?php include($abs_typinv); ?>





<?php include(DOCROOT . $abs_root . '/common/footer.php'); ?>


