<?php


// Call in the XComponents engine and options file


define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?


define('DOCROOT', 


	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 


		$_SERVER['DOCUMENT_ROOT'] : 


		(


			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 


				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 


				(


					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?


						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :


						'.'


				)


		)


	);


include(DOCROOT . '/dmx/dmx_options.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');





// Abs code starts here





if (isset($_GET['dmx_areacode'])) $_SESSION['ABS']['last_areacode'] = $_GET['dmx_areacode'];


$abs_lac = isset($_SESSION['ABS']['last_areacode']) ? $_SESSION['ABS']['last_areacode'] : '';





// Declare an interest in ukgeo


dmx_update_nc_memory(NULL, array('range' => 'ukgeo', 'areacode' => $abs_lac));





// Define tariff here if page contains a NumberChooser


$abs_xparams['tariffs'] = 'Public.EC-UK-GEO-All-Bas';





$abs_root = '';


@include(DOCROOT . '/abs_version_control.php');


//include(DOCROOT . $abs_root . '/common/header.php');


?>










<?php

// header.php
// -----------------------------------------------------------------------------
// The common header for all dmABS web pages
//
// Project    > A16-dmABS-1.5-Feb09
// Copyright  > (C) Digital Mail Limited (2005 - 2009)
// Author     > RAK for DML
// -----------------------------------------------------------------------------

include_once(DOCROOT . $abs_root . '/config/tech_options.php');
include_once(DOCROOT . $abs_root .'/common/abs_lib.php');
include_once(DOCROOT . $abs_root .'/common/abs_run.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>01200 Clitheroe Phone Numbers - UK Numbers - www.phone-numbers-uk.com</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="description" content="Get a 01200 Clitheroe Area Code Phone Number or Clitheroe 01200 Fax Number with Call Forwarding and Call Divert to any phone, Voice Mail and Fax to Email Call Handling Capabilities. Buy a Clitheroe 01200 Phone Number.">
<meta name="keywords" content="Clitheroe 01200 Phone Numbers, local area numbers, uk numbers, regional numbers, geo numbers, geographical numbers, area code, area prefix">
<meta name="robots" content="index, follow">
<meta name="revisit-after" content="7 days">

<meta name="Project" content="A16-dmABS-1.6-Feb09">
<meta name="Version" content="1.6.0.A">
<meta name="Date" content="17-03-2009">
<meta name="Copyright" content="Digital Mail Limited 2005/2006">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">

<!-- dmABS STYLESHEETS & JS-->
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/layout.css" rel="stylesheet" type="text/css" media="All">
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/typography_and_colours.css" rel="stylesheet" type="text/css" media="All">
<script language="javascript" src="<?=$abs_root;?>/js/abs_interface.js" type="text/javascript"></script>

<?php if ($abs_sitemode != 'proplus') : ?>
<!-- Stylesheet overrides generated from $abs_opt -->
<style type="text/css">
<?=$abs_header_bg;?>
#header, .header_bar { background-color: <?=$abs_opt['header_block_colour'];?>; }
#header, .header_bar, #header a { color: <?=$abs_header_text_col;?>; }
#header a { border-bottom: none !important; }
p{text-align:justify;}

/* h1, h2 { color: <?=$abs_opt['col1'];?>; } */

</style>
<!-- End stylesheet overrides generated from $abs_opt -->
<?php endif; ?>

<!-- ************************** -->
<!-- (1) INITIALISE XCOMPONENTS -->
<!-- ************************** -->
<?php
dmx_initialise_trolley();
$tst_additional_params_json = abs_get_tst_additional_params_json();
?>

<!-- **************************** -->
<!-- (2) SEED ADDITIONAL TST DATA -->
<!-- **************************** -->

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
try
{
	var tst_additional_params = <?=$tst_additional_params_json;?>;
}
catch(error) {;}
/*]]>*/
</script>

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
var abs_root = '<?=$abs_root;?>';
/*]]>*/
</script>

<!-- *************** -->
<!-- (3) INCLUDE TST -->
<!-- *************** -->
<?php
dmx_include_tst();
?>
</head> <!-- XCom & TST modifications added -->
<?php
// $abs_login_status = get_login_status(); // Get login status XComponent in its unboxed form
ob_start(array($abs_glos, 'substitute'));
abs_prepend_dynamic_substitutions(); // Only known once trolley session has been initialised
?>

<body>

<?php if (!isset($abs_no_header)) : // Miss page header for popups ?>
<div id="centred_page">
		
<?php include('toolbar.php'); // Include admin toolbar ?>

<div id="spacer_block_top"></div>

<!--HEADER -->
<div id="header" onmouseover="sub_menu_hide();">
	<div id="header_content">
		<div id="header_logo_contact">
		
			<a href="<?=$abs_root;?>/index.php" style="border: 0px;">
			<?php if ($abs_opt['company_logo'] != '') : ?>
			<img src="{SUB:company_logo}" alt="{SUB:company_brandname}" border="0">
			<?php else : ?>
			<span id="displayname">{SUB:company_displayname}</span>
			<?php endif; ?>
			</a>
		
			<div>
				<span id="call_brand_on"><span ondblclick="abs_clear_session('<?=$abs_root;?>', event);">C</span>all {SUB:company_brandname} <span ondblclick="abs_toolbar_show(1); return false;">on</span><br></span>
				<span id="big_contact_no">{SUB:contact_tel}</span><br>
				<span id="other_contact_channels">
					<?php if ($abs_opt['whoson'] != 'OFF') : ?>
					<span style="white-space: pre;">  </span>
						<?php if ($abs_chat_status) : ?>
							<a href="#" onclick="window.open('http://<?=$abs_opt['whoson'];?>/chat/chatstart.htm?domain=<?=$_SERVER['HTTP_HOST'];?>&bg=http://<?=$_SERVER['HTTP_HOST'];?><?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/chat_bg.jpg', 'new_win', 'width=484,height=361'); return false;"><img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_on_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0"></a>
						<?php else : ?>
							<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_off_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0">
						<?php endif; ?>
					<?php endif; if ($abs_opt['contact_email']) :?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_email_<?=$abs_header_text_col;?>.gif" alt="" width="26" height="14" border="0">
					<a href="mailto:{SUB:contact_email}" class="email_head">Email us</a>
					<?php endif; if ($abs_opt['contact_skype']) : ?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_skype_<?=$abs_header_text_col;?>.gif" alt="" width="24" height="14" border="0">
					<a href="callto://{SUB:contact_skype}">Skype us</a>
					<?php endif; ?>
				</span>
			</div>

		</div>
	</div>
</div>
<!-- END HEADER -->

<!-- TABBED MENU -->
<?php
// Generate menu and footer links
$abs_menu = array();
$dtype = strtolower($abs_opt['dealer_type']);
include(DOCROOT . $abs_root . '/config/menudef.php');
if ($abs_opt['dealer_tab'] != 'ON') unset($abs_menu[5]);
list($abs_tab_menu_html, $abs_sub_menu_html, $abs_hidden_menu_html, $abs_footer_links) = abs_construct_menu($abs_menu, $_SERVER['PHP_SELF']);
?>
<?=$abs_tab_menu_html;?>
<!-- END TABBED MENU -->
<div id="sub_menu_container">
	<!-- VISIBLE SUB-MENU -->
	<?=$abs_sub_menu_html;?>
	<!-- END VISIBLE SUB-MENU -->
	<!-- HIDDEN SUB-MENUS -->
	<?=$abs_hidden_menu_html;?>
	<!-- END HIDDEN SUB-MENUS -->
</div>
<?php endif; // End of Miss page header for popups ?>

<?php ob_end_flush(); ob_start(array($abs_glos, 'substitute')); ?>












<style type="text/css">


<!--


@import url(<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/num_hp.css);


//-->


</style>





<!-- MAIN CONTENT AREA -->


<div id="main_area" onmouseover="sub_menu_hide();">


	<div id="main_area_content">


	<h1>Local Area UK Numbers - Clitheroe 01200 Phone Numbers - Buy a Clitheroe 01200 Number today!</h1>
	<p>Get a Clitheroe 01200 phone number, when your clients call your virtual local area number the call will be forwarded to any fixed line, your mobile phone, fax service or diverted to your voicemail. You choose how you want your telephone calls to be handled in minutes, by simply logging in to the online control panel and changing the settings. We also have options for VoIP systems to help you reduce your phone call costs. Choose an easy to remember memorable gold number so your clients can easily remember your phone number. We have a variety of Clitheroe 01200 Numbers for sale and you can buy them online in minutes! Buy a Clitheroe 01200 Phone Number now and make sure you don&#39;t miss any phone call business in future!!</p>
	
	
	<a title="01200 Clitheroe Phone Numbers" style="border:0;" href="http://www.phone-numbers-uk.com/numbers/ukgeo/choose_local_area_uk_phone_numbers.php?dmx_comp_class=numberchooser&dmx_comp_name=nc_ukgeo&dmx_rc=a:1:{i:0|sc|s:38:|dq|numberpick=/numbers/ukgeo/checkout.php|dq||sc|}">
			<img style="border:0; position:relative; left:-10px;" src="/numbers/local-area-code-numbers.jpg" width="931" height="245" alt="01200 Clitheroe Phone Numbers"></a>
	
	
	
	<h1><br/>Call Handling Services and Features of our Clitheroe 01200 Prefix UK Phone Numbers:</h1>
	
	<ul id="call_services">
		<li><b>Clitheroe 01200 Virtual Number</b> - get a local Clitheroe 01200 Virtual number and target clients that dial local area numbers first. Divert Clitheroe 01200 virtual office numbers to your existing office or mobile phones almost anywhere!</li>	
		
		<li><b>Clitheroe 01200 Area Code</b> - get a Clitheroe 01200 area code number.</li>	

		<li><b>Clitheroe 01200 Number with Call Divert / Clitheroe 01200 Number Call Forwarding</b> - divert your Clitheroe 01200 number to a fixed phone line at the office or at your home or divert your Clitheroe 01200 number a mobile phone. Change diverts anytime of the day or night by simply logging in online!</li>
		
		<li><b>Clitheroe 01200 Number with Voice Mail</b> - no need to miss any business if you are busy in a meeting, simply let your voice mail handle your messaging. You can even retrieve your voice mail via your email, using voicemail to email!</li>
		
		<li><b>Clitheroe 01200 Number Online Availability</b> - you can quickly and easily choose your own Clitheroe 01200 Phone Number online and use it within minutes. Use your credit card for near instant activation of your Clitheroe 01200 number now!</li>
		
		<li><b>Clitheroe 01200 Number Divert to Landline</b> - divert your Clitheroe 01200 number to your existing landline phone in minutes!.</li>
		
		<li><b>Clitheroe 01200 Number Divert to Mobile</b> - divert your Clitheroe 01200 number to your current mobile phone in minutes!.</li>
		
		<li><b>Clitheroe 01200 Number with Call Hunt</b> - our numbers are capable of forwarding a call to another number if the call is not answered within a certain number of rings. This helps ensure that you never miss a call.</li>
		
		<li><b>Clitheroe 01200 DID Number</b> - instead of renting a new fixed line, why not use a Clitheroe 01200 DID Number.</li>
				
		<li><b>Clitheroe 01200 VoIP Number or PSTN system</b> - you can choose to what system/technology you would like you calls to be forwarded to. Use the SIP VoIP protocol for your Clitheroe 01200 number call handling.</li>
		
		<li><b>Clitheroe 01200 Fax to Email Number</b> - receive your faxes via email attachment, access this privately and from anywhere you have access to your email. You will also save on the cost of running a fax machines, as you are able to view all faxes without printing them first and can then select only the ones that you need copies of for printing. You can store the rest digitally on your computer. You will be able to keep your number if you move, avoid missing faxes due to busy lines or lack or paper and toner and check your faxes from anywhere. You can also forward the number to a traditional fax machine line.</li>

		<li><b>Clitheroe 01200 Fax Number</b> - fax numbers with unified messaging serivces.</li>
		
		<li><b>01200 Clitheroe Virtual Switchboard Number</b> - professional call management system, without staff training costs, maintenance or having to buy expensive machinery. Give a great first time impression, with services including, customizable Voice Mail, web control of diverts, SMS notification, team divert (up to 9 numbers) and tone driven recorded menus to enable the clients to select where the call needs to be routed to.</li>
		
		<li><b>Clitheroe 01200 Geographic Number</b> - get a Clitheroe 01200 geographic number and target people that dial local area codes first.</li>
		
		<li><b>Clitheroe 01200 Number with Human Voice Answering Services</b> - professional human answering system that will take a short messages for you when you are not available. They will then pass the message onto you via SMS and email.</li>
		
		<li><b>01200 Clitheroe Number 24/7 Web Control System</b> - easily control how you calls are handled through any web browser. Change call diverts and handling instantly online at any time of the day.</li>
	
	</ul>
	
	<p>For more information on our inbound call handling services - <a href="http://www.phone-numbers-uk.com/services/phone_numbers_uk_services.php" target="_blank">click here</a></p>
	
	
	<h1>Benefits and uses for local area code prefix Clitheroe 01200 Phone Number</h1>
	
	<p><b>Get more business in your own local area</b> - Choose your local are Clitheroe 01200 Phone Number (geographic targeting)<br/>
	Target clients that typically look for services in their own geographic area, such as doctors, dentists and other services that require face to face meetings. You will not need to buy or rent another fixed line, simply pick a number and divert it to your current fixed line, mobile, fax service or voice mail anf your business will benefit from the call handling capabilities that are on offer.</p>

	<p><b>Get more business in neighboring areas</b> - use a virtual local area Clitheroe 01200 Phone Number, but work elsewhere.<br/>
	If you are based on the boundary of two regions you may wish to have two numbers to target the people in both area code prefixes. This works for services that people need rendered in their local areas, they may not want to travel to visit you further away. You can then list and advertise in both areas targeting both geographic area codes thereby rendering your services to a bigger market. Having a area code prefix there for gives the impression that you are based nearby or have a regional office in that area.</p>

	<p><b>Measure your marketing and advertising campaigns</b> - Why not choose another Clitheroe 01200 Phone Number and use it in your advertising and marketing campaigns. That way when the phone rings and the call is logged you will be able to tell how many calls were a direct result of that particular campaign.</p>
	
	
	
	<h1>Clitheroe 01200 Gold Phone Numbers - Memorable UK numbers, easy for clients to remember!!!</h1>
	
	<p>A Gold Number is a number that is easy to remember. For example it&#39;s easier to remember a phone number that ends 22 66 88 than it is to remember a phone number ending 614395. Gold numbers are therefore great for advertising as they are more catchy and stick in peoples heads more easily, they are more likely to remember a catchy Clitheroe 01200 gold number without a pen and paper handy. Gold Phone numbers can also be used to spell words using the keypad which also makes it easy for people to remember.  Get your Clitheroe 01200 Gold Phone Number now and make it easy for your clients to remember your business phone number!</p>
	

	
	
	
	<div style="text-align:center;width:auto; margin:20px 0;">
		<a title="01200 Clitheroe Phone Numbers" style="border:0;" href="http://www.phone-numbers-uk.com/numbers/ukgeo/choose_local_area_uk_phone_numbers.php?dmx_comp_class=numberchooser&dmx_comp_name=nc_ukgeo&dmx_rc=a:1:{i:0|sc|s:38:|dq|numberpick=/numbers/ukgeo/checkout.php|dq||sc|}">
			<img style="border:0;" src="choose-a-uk-geo-number.jpg" width="293" height="81" alt="01200 Clitheroe Phone Numbers"></a>
			<h1><br/>We also offer other UK Phone Number ranges that include:</h1>
	
		<div>
			<a href="{ROOT}/numbers/0207" class="infotext nu" title="0207 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0207.gif" border="0" alt="0207 Number" width="69" height="47" /><span class="tipcontents">Get a 0207 number</span></a>
			<a href="{ROOT}/numbers/ukgeo" class="infotext nu" title="UK Geo Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_uk_local.gif" border="0" alt="UK Local Number" width="69" height="47" /><span class="tipcontents">Get a UK Local number: Manchester, Liverpool, Bristol, and many more...</span></a>
			<a href="{ROOT}/numbers/0800" class="infotext nu" title="0800 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0800.gif" border="0" alt="0800 Number" width="69" height="47" /><span class="tipcontents">Get a 0800 number</span></a>
			<a href="{ROOT}/numbers/0845" class="infotext nu" title="0845 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0845.gif" border="0" alt="0845 Number" width="69" height="47" /><span class="tipcontents">Get a 0845 number</span></a>
			<a href="{ROOT}/numbers/0870" class="infotext nu" title="0870 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0870.gif" border="0" alt="0870 Number" width="69" height="47" /><span class="tipcontents">Get a 0870 number</span></a>
			<a href="{ROOT}/numbers/07d" class="infotext nu" title="07d Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07D.gif" border="0" alt="07-K Number" width="69" height="47" /><span class="tipcontents">Get a 07 D-rate number</span></a>
			<a href="{ROOT}/numbers/07k" class="infotext nu" title="07k Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07K.gif" border="0" alt="07-D Number" width="69" height="47" /><span class="tipcontents">Get a 07 K-rate number</span></a>
			<a href="{ROOT}/numbers/07pn2" class="infotext nu" title="07pn2 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07PN2.gif" border="0" alt="07-PN2 Number" width="69" height="47" /><span class="tipcontents">Get a 070 PN2-rate personal number</span></a>
			<a href="{ROOT}/numbers/0844" class="infotext nu" title="0844 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0844.gif" border="0" alt="0844 Number" width="69" height="47" /><span class="tipcontents">Get a 0844 number</span></a>
			<a href="{ROOT}/numbers/0871" class="infotext nu" title="0871 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0871.gif" border="0" alt="0871 Number" width="69" height="47" /><span class="tipcontents">Get a 0871 number</span></a>
		</div>
			
	</div>
	
	
	
	</div>


</div>


<!-- END MAIN CONTENT AREA -->






<?php include($abs_typinv); ?>





<?php include(DOCROOT . $abs_root . '/common/footer.php'); ?>


