<?php


// Call in the XComponents engine and options file


define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?


define('DOCROOT', 


	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 


		$_SERVER['DOCUMENT_ROOT'] : 


		(


			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 


				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 


				(


					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?


						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :


						'.'


				)


		)


	);


include(DOCROOT . '/dmx/dmx_options.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');


include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');





// Abs code starts here





if (isset($_GET['dmx_areacode'])) $_SESSION['ABS']['last_areacode'] = $_GET['dmx_areacode'];


$abs_lac = isset($_SESSION['ABS']['last_areacode']) ? $_SESSION['ABS']['last_areacode'] : '';





// Declare an interest in ukgeo


dmx_update_nc_memory(NULL, array('range' => 'ukgeo', 'areacode' => $abs_lac));





// Define tariff here if page contains a NumberChooser


$abs_xparams['tariffs'] = 'Public.EC-UK-GEO-All-Bas';





$abs_root = '';


@include(DOCROOT . '/abs_version_control.php');


//include(DOCROOT . $abs_root . '/common/header.php');


?>










<?php

// header.php
// -----------------------------------------------------------------------------
// The common header for all dmABS web pages
//
// Project    > A16-dmABS-1.5-Feb09
// Copyright  > (C) Digital Mail Limited (2005 - 2009)
// Author     > RAK for DML
// -----------------------------------------------------------------------------

include_once(DOCROOT . $abs_root . '/config/tech_options.php');
include_once(DOCROOT . $abs_root .'/common/abs_lib.php');
include_once(DOCROOT . $abs_root .'/common/abs_run.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Local Area UK Numbers - Phone & Fax UK Regional Numbers - www.phone-numbers-uk.com</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="description" content="Choose your own Regional UK Area Code Phone Number or Fax Number with Call Forwarding and Call Divert to any phone, Voice Mail and Fax to Email Call Handling Capabilities.">
<meta name="keywords" content="UK Phone Numbers, local area numbers, uk numbers, regional numbers, geo numbers, geographical numbers, area code, area prefix">
<meta name="robots" content="index, follow">
<meta name="revisit-after" content="7 days">

<meta name="Project" content="A16-dmABS-1.6-Feb09">
<meta name="Version" content="1.6.0.A">
<meta name="Date" content="17-03-2009">
<meta name="Copyright" content="Digital Mail Limited 2005/2006">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">

<!-- dmABS STYLESHEETS & JS-->
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/layout.css" rel="stylesheet" type="text/css" media="All">
<link href="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/typography_and_colours.css" rel="stylesheet" type="text/css" media="All">
<script language="javascript" src="<?=$abs_root;?>/js/abs_interface.js" type="text/javascript"></script>

<?php if ($abs_sitemode != 'proplus') : ?>
<!-- Stylesheet overrides generated from $abs_opt -->
<style type="text/css">
<?=$abs_header_bg;?>
#header, .header_bar { background-color: <?=$abs_opt['header_block_colour'];?>; }
#header, .header_bar, #header a { color: <?=$abs_header_text_col;?>; }
#header a { border-bottom: none !important; }
p{text-align:justify;}

/* h1, h2 { color: <?=$abs_opt['col1'];?>; } */

</style>
<!-- End stylesheet overrides generated from $abs_opt -->
<?php endif; ?>

<!-- ************************** -->
<!-- (1) INITIALISE XCOMPONENTS -->
<!-- ************************** -->
<?php
dmx_initialise_trolley();
$tst_additional_params_json = abs_get_tst_additional_params_json();
?>

<!-- **************************** -->
<!-- (2) SEED ADDITIONAL TST DATA -->
<!-- **************************** -->

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
try
{
	var tst_additional_params = <?=$tst_additional_params_json;?>;
}
catch(error) {;}
/*]]>*/
</script>

<script language="javascript" type="text/javascript">
/*<![CDATA[[*/
var abs_root = '<?=$abs_root;?>';
/*]]>*/
</script>

<!-- *************** -->
<!-- (3) INCLUDE TST -->
<!-- *************** -->
<?php
dmx_include_tst();
?>
</head> <!-- XCom & TST modifications added -->
<?php
// $abs_login_status = get_login_status(); // Get login status XComponent in its unboxed form
ob_start(array($abs_glos, 'substitute'));
abs_prepend_dynamic_substitutions(); // Only known once trolley session has been initialised
?>

<body>

<?php if (!isset($abs_no_header)) : // Miss page header for popups ?>
<div id="centred_page">
		
<?php include('toolbar.php'); // Include admin toolbar ?>

<div id="spacer_block_top"></div>

<!--HEADER -->
<div id="header" onmouseover="sub_menu_hide();">
	<div id="header_content">
		<div id="header_logo_contact">
		
			<a href="<?=$abs_root;?>/index.php" style="border: 0px;">
			<?php if ($abs_opt['company_logo'] != '') : ?>
			<img src="{SUB:company_logo}" alt="{SUB:company_brandname}" border="0">
			<?php else : ?>
			<span id="displayname">{SUB:company_displayname}</span>
			<?php endif; ?>
			</a>
		
			<div>
				<span id="call_brand_on"><span ondblclick="abs_clear_session('<?=$abs_root;?>', event);">C</span>all {SUB:company_brandname} <span ondblclick="abs_toolbar_show(1); return false;">on</span><br></span>
				<span id="big_contact_no">{SUB:contact_tel}</span><br>
				<span id="other_contact_channels">
					<?php if ($abs_opt['whoson'] != 'OFF') : ?>
					<span style="white-space: pre;">  </span>
						<?php if ($abs_chat_status) : ?>
							<a href="#" onclick="window.open('http://<?=$abs_opt['whoson'];?>/chat/chatstart.htm?domain=<?=$_SERVER['HTTP_HOST'];?>&bg=http://<?=$_SERVER['HTTP_HOST'];?><?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/chat_bg.jpg', 'new_win', 'width=484,height=361'); return false;"><img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_on_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0"></a>
						<?php else : ?>
							<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_chat_off_<?=$abs_header_text_col;?>.gif" alt="" width="116" height="14" border="0">
						<?php endif; ?>
					<?php endif; if ($abs_opt['contact_email']) :?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_email_<?=$abs_header_text_col;?>.gif" alt="" width="26" height="14" border="0">
					<a href="mailto:{SUB:contact_email}" class="email_head">Email us</a>
					<?php endif; if ($abs_opt['contact_skype']) : ?>
					<span style="white-space: pre;">  </span>
					<img src="<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/gen_images/icon_skype_<?=$abs_header_text_col;?>.gif" alt="" width="24" height="14" border="0">
					<a href="callto://{SUB:contact_skype}">Skype us</a>
					<?php endif; ?>
				</span>
			</div>

		</div>
	</div>
</div>
<!-- END HEADER -->

<!-- TABBED MENU -->
<?php
// Generate menu and footer links
$abs_menu = array();
$dtype = strtolower($abs_opt['dealer_type']);
include(DOCROOT . $abs_root . '/config/menudef.php');
if ($abs_opt['dealer_tab'] != 'ON') unset($abs_menu[5]);
list($abs_tab_menu_html, $abs_sub_menu_html, $abs_hidden_menu_html, $abs_footer_links) = abs_construct_menu($abs_menu, $_SERVER['PHP_SELF']);
?>
<?=$abs_tab_menu_html;?>
<!-- END TABBED MENU -->
<div id="sub_menu_container">
	<!-- VISIBLE SUB-MENU -->
	<?=$abs_sub_menu_html;?>
	<!-- END VISIBLE SUB-MENU -->
	<!-- HIDDEN SUB-MENUS -->
	<?=$abs_hidden_menu_html;?>
	<!-- END HIDDEN SUB-MENUS -->
</div>
<?php endif; // End of Miss page header for popups ?>

<?php ob_end_flush(); ob_start(array($abs_glos, 'substitute')); ?>












<style type="text/css">


<!--


@import url(<?=$abs_root;?>/themes/<?=$abs_opt['theme'];?>/css/num_hp.css);


//-->


</style>





<!-- MAIN CONTENT AREA -->


<div id="main_area" onmouseover="sub_menu_hide();">


	<div id="main_area_content">


	<h1>UK Regional Numbers - Get a local area phone or fax number in your region.<br/></h1>
	
	<div class="region">
		<h2>A - B</h2>
<a href="/numbers/01224-aberdeen-uk-numbers.php">Aberdeen 01224</a><br/>
<a href="/numbers/01887-aberfeldy-uk-numbers.php">Aberfeldy 01887</a><br/>
<a href="/numbers/01873-abergavenny-uk-numbers.php">Abergavenny 01873</a><br/>
<a href="/numbers/01970-aberystwyth-uk-numbers.php">Aberystwyth 01970</a><br/>
<a href="/numbers/01235-abingdon-uk-numbers.php">Abingdon 01235</a><br/>
<a href="/numbers/01864-abington-uk-numbers.php">Abington 01864</a><br/>
<a href="/numbers/013398-aboyne-uk-numbers.php">Aboyne 013398</a><br/>
<a href="/numbers/01252-aldershot-uk-numbers.php">Aldershot 01252</a><br/>
<a href="/numbers/019755-alford-aberdeen-uk-numbers.php">Alford (Aberdeen) 019755</a><br/>
<a href="/numbers/01259-alloa-uk-numbers.php">Alloa 01259</a><br/>
<a href="/numbers/01665-alnwick-uk-numbers.php">Alnwick 01665</a><br/>
<a href="/numbers/01420-alton-uk-numbers.php">Alton 01420</a><br/>
<a href="/numbers/01980-amesbury-uk-numbers.php">Amesbury 01980</a><br/>
<a href="/numbers/01269-ammanford-uk-numbers.php">Ammanford 01269</a><br/>
<a href="/numbers/01264-andover-uk-numbers.php">Andover 01264</a><br/>
<a href="/numbers/02894-antrim-uk-numbers.php">Antrim 02894</a><br/>
<a href="/numbers/01241-arbroath-uk-numbers.php">Arbroath 01241</a><br/>
<a href="/numbers/01863-ardgay-uk-numbers.php">Ardgay 01863</a><br/>
<a href="/numbers/01294-ardrossan-uk-numbers.php">Ardrossan 01294</a><br/>
<a href="/numbers/02837-armagh-uk-numbers.php">Armagh 02837</a><br/>
<a href="/numbers/01301-arrochar-uk-numbers.php">Arrochar 01301</a><br/>
<a href="/numbers/01335-ashbourne-uk-numbers.php">Ashbourne 01335</a><br/>
<a href="/numbers/01364-ashburton-uk-numbers.php">Ashburton 01364</a><br/>
<a href="/numbers/01233-ashford-kent-uk-numbers.php">Ashford (Kent) 01233</a><br/>
<a href="/numbers/01297-axminster-uk-numbers.php">Axminster 01297</a><br/>
<a href="/numbers/01296-aylesbury-uk-numbers.php">Aylesbury 01296</a><br/>
<a href="/numbers/01292-ayr-uk-numbers.php">Ayr 01292</a><br/>
<a href="/numbers/018907-ayton-uk-numbers.php">Ayton 018907</a><br/>
<a href="/numbers/01678-bala-uk-numbers.php">Bala 01678</a><br/>
<a href="/numbers/01855-ballachulish-uk-numbers.php">Ballachulish 01855</a><br/>
<a href="/numbers/013397-ballater-uk-numbers.php">Ballater 013397</a><br/>
<a href="/numbers/01807-ballindalloch-uk-numbers.php">Ballindalloch 01807</a><br/>
<a href="/numbers/02820-ballycastle-uk-numbers.php">Ballycastle 02820</a><br/>
<a href="/numbers/02893-ballyclare-uk-numbers.php">Ballyclare 02893</a><br/>
<a href="/numbers/02885-ballygawley-uk-numbers.php">Ballygawley 02885</a><br/>
<a href="/numbers/02825-ballymena-uk-numbers.php">Ballymena 02825</a><br/>
<a href="/numbers/02827-ballymoney-uk-numbers.php">Ballymoney 02827</a><br/>
<a href="/numbers/01668-bamburgh-uk-numbers.php">Bamburgh 01668</a><br/>
<a href="/numbers/02840-banbridge-uk-numbers.php">Banbridge 02840</a><br/>
<a href="/numbers/01295-banbury-uk-numbers.php">Banbury 01295</a><br/>
<a href="/numbers/01330-banchory-uk-numbers.php">Banchory 01330</a><br/>
<a href="/numbers/01261-banff-uk-numbers.php">Banff 01261</a><br/>
<a href="/numbers/02891-bangor-co.-down-uk-numbers.php">Bangor (Co. Down) 02891</a><br/>
<a href="/numbers/01248-bangor-gwynedd-uk-numbers.php">Bangor (Gwynedd) 01248</a><br/>
<a href="/numbers/01341-barmouth-uk-numbers.php">Barmouth 01341</a><br/>
<a href="/numbers/01833-barnard-castle-uk-numbers.php">Barnard Castle 01833</a><br/>
<a href="/numbers/01226-barnsley-uk-numbers.php">Barnsley 01226</a><br/>
<a href="/numbers/01271-barnstable-uk-numbers.php">Barnstable 01271</a><br/>
<a href="/numbers/012298-barrow-in-furness-uk-numbers.php">Barrow-in-Furness 012298</a><br/>
<a href="/numbers/01446-barry-uk-numbers.php">Barry 01446</a><br/>
<a href="/numbers/01268-basildon-uk-numbers.php">Basildon 01268</a><br/>
<a href="/numbers/01256-basingstoke-uk-numbers.php">Basingstoke 01256</a><br/>
<a href="/numbers/01225-bath-uk-numbers.php">Bath 01225</a><br/>
<a href="/numbers/01506-bathgate-uk-numbers.php">Bathgate 01506</a><br/>
<a href="/numbers/01677-bedale-uk-numbers.php">Bedale 01677</a><br/>
<a href="/numbers/01234-bedford-uk-numbers.php">Bedford 01234</a><br/>
<a href="/numbers/02890-belfast-uk-numbers.php">Belfast 02890</a><br/>
<a href="/numbers/014342-bellingham-uk-numbers.php">Bellingham 014342</a><br/>
<a href="/numbers/01289-berwick-on-tweed-uk-numbers.php">Berwick-on-Tweed 01289</a><br/>
<a href="/numbers/01690-betws-y-coed-uk-numbers.php">Betws-y-Coed 01690</a><br/>
<a href="/numbers/01299-bewdley-uk-numbers.php">Bewdley 01299</a><br/>
<a href="/numbers/01869-bicester-uk-numbers.php">Bicester 01869</a><br/>
<a href="/numbers/01237-bideford-uk-numbers.php">Bideford 01237</a><br/>
<a href="/numbers/01899-biggar-uk-numbers.php">Biggar 01899</a><br/>
<a href="/numbers/0121-birmingham-uk-numbers.php">Birmingham 0121</a><br/>
<a href="/numbers/013888-bishop-auckland-uk-numbers.php">Bishop Auckland 013888</a><br/>
<a href="/numbers/01588-bishops-castle-uk-numbers.php">Bishops Castle 01588</a><br/>
<a href="/numbers/01279-bishops-stortford-uk-numbers.php">Bishops Stortford 01279</a><br/>
<a href="/numbers/01489-bishops-waltham-uk-numbers.php">Bishops Waltham 01489</a><br/>
<a href="/numbers/01254-blackburn-uk-numbers.php">Blackburn 01254</a><br/>
<a href="/numbers/01253-blackpool-uk-numbers.php">Blackpool 01253</a><br/>
<a href="/numbers/01250-blairgowrie-uk-numbers.php">Blairgowrie 01250</a><br/>
<a href="/numbers/01258-blandford-uk-numbers.php">Blandford 01258</a><br/>
<a href="/numbers/01208-bodmin-uk-numbers.php">Bodmin 01208</a><br/>
<a href="/numbers/01204-bolton-uk-numbers.php">Bolton 01204</a><br/>
<a href="/numbers/014239-boroughbridge-uk-numbers.php">Boroughbridge 014239</a><br/>
<a href="/numbers/01205-boston-uk-numbers.php">Boston 01205</a><br/>
<a href="/numbers/01778-bourne-uk-numbers.php">Bourne 01778</a><br/>
<a href="/numbers/01202-bournemouth-uk-numbers.php">Bournemouth 01202</a><br/>
<a href="/numbers/01344-bracknell-uk-numbers.php">Bracknell 01344</a><br/>
<a href="/numbers/01274-bradford-uk-numbers.php">Bradford 01274</a><br/>
<a href="/numbers/01376-braintree-uk-numbers.php">Braintree 01376</a><br/>
<a href="/numbers/01356-brechin-uk-numbers.php">Brechin 01356</a><br/>
<a href="/numbers/01874-brecon-uk-numbers.php">Brecon 01874</a><br/>
<a href="/numbers/01277-brentwood-uk-numbers.php">Brentwood 01277</a><br/>
<a href="/numbers/01656-bridgend-uk-numbers.php">Bridgend 01656</a><br/>
<a href="/numbers/01746-bridgnorth-uk-numbers.php">Bridgnorth 01746</a><br/>
<a href="/numbers/01278-bridgwater-uk-numbers.php">Bridgwater 01278</a><br/>
<a href="/numbers/01262-bridlington-uk-numbers.php">Bridlington 01262</a><br/>
<a href="/numbers/01308-bridport-uk-numbers.php">Bridport 01308</a><br/>
<a href="/numbers/01652-brigg-uk-numbers.php">Brigg 01652</a><br/>
<a href="/numbers/01273-brighton-uk-numbers.php">Brighton 01273</a><br/>
<a href="/numbers/0117-bristol-uk-numbers.php">Bristol 0117</a><br/>
<a href="/numbers/01886-bromyard-uk-numbers.php">Bromyard 01886</a><br/>
<a href="/numbers/01508-brooke-uk-numbers.php">Brooke 01508</a><br/>
<a href="/numbers/01280-buckingham-uk-numbers.php">Buckingham 01280</a><br/>
<a href="/numbers/01288-bude-uk-numbers.php">Bude 01288</a><br/>
<a href="/numbers/01395-budleigh-salterton-uk-numbers.php">Budleigh Salterton 01395</a><br/>
<a href="/numbers/01982-builth-wells-uk-numbers.php">Builth Wells 01982</a><br/>
<a href="/numbers/01986-bungay-uk-numbers.php">Bungay 01986</a><br/>
<a href="/numbers/01282-burnley-uk-numbers.php">Burnley 01282</a><br/>
<a href="/numbers/01283-burton-on-trent-uk-numbers.php">Burton-on-Trent 01283</a><br/>
<a href="/numbers/01284-bury-st-edmunds-uk-numbers.php">Bury-St-Edmunds 01284</a><br/>
<a href="/numbers/01298-buxton-uk-numbers.php">Buxton 01298</a><br/>
	</div>
	
	<div class="region">
		<h2>C - F</h2>
	<a href="/numbers/01286-caernarvon-uk-numbers.php">Caernarvon 01286</a><br/>
<a href="/numbers/01877-callandar-uk-numbers.php">Callandar 01877</a><br/>
<a href="/numbers/01276-camberley-uk-numbers.php">Camberley 01276</a><br/>
<a href="/numbers/01223-cambridge-uk-numbers.php">Cambridge 01223</a><br/>
<a href="/numbers/01840-camelford-uk-numbers.php">Camelford 01840</a><br/>
<a href="/numbers/01586-campbeltown-uk-numbers.php">Campbeltown 01586</a><br/>
<a href="/numbers/01543-cannock-uk-numbers.php">Cannock 01543</a><br/>
<a href="/numbers/01227-canterbury-uk-numbers.php">Canterbury 01227</a><br/>
<a href="/numbers/029-cardiff-uk-numbers.php">Cardiff 029</a><br/>
<a href="/numbers/01239-cardigan-uk-numbers.php">Cardigan 01239</a><br/>
<a href="/numbers/01228-carlisle-uk-numbers.php">Carlisle 01228</a><br/>
<a href="/numbers/01267-carmarthen-uk-numbers.php">Carmarthen 01267</a><br/>
<a href="/numbers/01583-carradale-uk-numbers.php">Carradale 01583</a><br/>
<a href="/numbers/02880-carrickmore-uk-numbers.php">Carrickmore 02880</a><br/>
<a href="/numbers/01556-castle-douglas-uk-numbers.php">Castle Douglas 01556</a><br/>
<a href="/numbers/01871-castlebay-uk-numbers.php">Castlebay 01871</a><br/>
<a href="/numbers/01883-caterham-uk-numbers.php">Caterham 01883</a><br/>
<a href="/numbers/01650-cemmaes-road-uk-numbers.php">Cemmaes Road 01650</a><br/>
<a href="/numbers/01300-cerne-abbas-uk-numbers.php">Cerne Abbas 01300</a><br/>
<a href="/numbers/01460-chard-uk-numbers.php">Chard 01460</a><br/>
<a href="/numbers/01354-chatteris-uk-numbers.php">Chatteris 01354</a><br/>
<a href="/numbers/01245-chelmsford-uk-numbers.php">Chelmsford 01245</a><br/>
<a href="/numbers/01242-cheltenham-uk-numbers.php">Cheltenham 01242</a><br/>
<a href="/numbers/01291-chepstow-uk-numbers.php">Chepstow 01291</a><br/>
<a href="/numbers/01244-chester-uk-numbers.php">Chester 01244</a><br/>
<a href="/numbers/01246-chesterfield-uk-numbers.php">Chesterfield 01246</a><br/>
<a href="/numbers/01243-chichester-uk-numbers.php">Chichester 01243</a><br/>
<a href="/numbers/01249-chippenham-uk-numbers.php">Chippenham 01249</a><br/>
<a href="/numbers/01608-chipping-norton-uk-numbers.php">Chipping Norton 01608</a><br/>
<a href="/numbers/01454-chipping-sodbury-uk-numbers.php">Chipping Sodbury 01454</a><br/>
<a href="/numbers/01694-church-stretton-uk-numbers.php">Church Stretton 01694</a><br/>
<a href="/numbers/01285-cirencester-uk-numbers.php">Cirencester 01285</a><br/>
<a href="/numbers/01255-clacton-on-sea-uk-numbers.php">Clacton-on-Sea 01255</a><br/>
<a href="/numbers/01275-clevedon-uk-numbers.php">Clevedon 01275</a><br/>
<a href="/numbers/01200-clitheroe-uk-numbers.php">Clitheroe 01200</a><br/>
<a href="/numbers/01832-clopton-uk-numbers.php">Clopton 01832</a><br/>
<a href="/numbers/014375-clynderwen-uk-numbers.php">Clynderwen 014375</a><br/>
<a href="/numbers/01530-coalville-uk-numbers.php">Coalville 01530</a><br/>
<a href="/numbers/01236-coatbridge-uk-numbers.php">Coatbridge 01236</a><br/>
<a href="/numbers/01206-colchester-uk-numbers.php">Colchester 01206</a><br/>
<a href="/numbers/018908-coldstream-uk-numbers.php">Coldstream 018908</a><br/>
<a href="/numbers/02870-coleraine-uk-numbers.php">Coleraine 02870</a><br/>
<a href="/numbers/01675-coleshill-uk-numbers.php">Coleshill 01675</a><br/>
<a href="/numbers/01951-colonsay-uk-numbers.php">Colonsay 01951</a><br/>
<a href="/numbers/01492-colwyn-bay-uk-numbers.php">Colwyn Bay 01492</a><br/>
<a href="/numbers/01260-congleton-uk-numbers.php">Congleton 01260</a><br/>
<a href="/numbers/01207-consett-uk-numbers.php">Consett 01207</a><br/>
<a href="/numbers/02886-cookstown-uk-numbers.php">Cookstown 02886</a><br/>
<a href="/numbers/01257-coppull-uk-numbers.php">Coppull 01257</a><br/>
<a href="/numbers/01490-corwen-uk-numbers.php">Corwen 01490</a><br/>
<a href="/numbers/01828-coupar-angus-uk-numbers.php">Coupar Angus 01828</a><br/>
<a href="/numbers/024-coventry-uk-numbers.php">Coventry 024</a><br/>
<a href="/numbers/01340-craigellachie-uk-numbers.php">Craigellachie 01340</a><br/>
<a href="/numbers/01580-cranbrook-uk-numbers.php">Cranbrook 01580</a><br/>
<a href="/numbers/01293-crawley-uk-numbers.php">Crawley 01293</a><br/>
<a href="/numbers/01363-crediton-uk-numbers.php">Crediton 01363</a><br/>
<a href="/numbers/01270-crewe-uk-numbers.php">Crewe 01270</a><br/>
<a href="/numbers/01764-crieff-uk-numbers.php">Crieff 01764</a><br/>
<a href="/numbers/01263-cromer-uk-numbers.php">Cromer 01263</a><br/>
<a href="/numbers/01290-cumnock-uk-numbers.php">Cumnock 01290</a><br/>
<a href="/numbers/01838-dalmally-uk-numbers.php">Dalmally 01838</a><br/>
<a href="/numbers/01325-darlington-uk-numbers.php">Darlington 01325</a><br/>
<a href="/numbers/01322-dartford-uk-numbers.php">Dartford 01322</a><br/>
<a href="/numbers/01327-daventry-uk-numbers.php">Daventry 01327</a><br/>
<a href="/numbers/01332-derby-uk-numbers.php">Derby 01332</a><br/>
<a href="/numbers/01362-dereham-uk-numbers.php">Dereham 01362</a><br/>
<a href="/numbers/01380-devizes-uk-numbers.php">Devizes 01380</a><br/>
<a href="/numbers/01349-dingwall-uk-numbers.php">Dingwall 01349</a><br/>
<a href="/numbers/01379-diss-uk-numbers.php">Diss 01379</a><br/>
<a href="/numbers/01302-doncaster-uk-numbers.php">Doncaster 01302</a><br/>
<a href="/numbers/01305-dorchester-uk-numbers.php">Dorchester 01305</a><br/>
<a href="/numbers/01306-dorking-uk-numbers.php">Dorking 01306</a><br/>
<a href="/numbers/01304-dover-uk-numbers.php">Dover 01304</a><br/>
<a href="/numbers/01366-downham-market-uk-numbers.php">Downham Market 01366</a><br/>
<a href="/numbers/02844-downpatrick-uk-numbers.php">Downpatrick 02844</a><br/>
<a href="/numbers/01377-driffield-uk-numbers.php">Driffield 01377</a><br/>
<a href="/numbers/01384-dudley-uk-numbers.php">Dudley 01384</a><br/>
<a href="/numbers/01398-dulverton-uk-numbers.php">Dulverton 01398</a><br/>
<a href="/numbers/01389-dumbarton-uk-numbers.php">Dumbarton 01389</a><br/>
<a href="/numbers/01368-dunbar-uk-numbers.php">Dunbar 01368</a><br/>
<a href="/numbers/01382-dundee-uk-numbers.php">Dundee 01382</a><br/>
<a href="/numbers/01383-dunfermline-uk-numbers.php">Dunfermline 01383</a><br/>
<a href="/numbers/02887-dungannon-uk-numbers.php">Dungannon 02887</a><br/>
<a href="/numbers/01350-dunkeld-uk-numbers.php">Dunkeld 01350</a><br/>
<a href="/numbers/01369-dunoon-uk-numbers.php">Dunoon 01369</a><br/>
<a href="/numbers/01361-duns-uk-numbers.php">Duns 01361</a><br/>
<a href="/numbers/01913-durham-uk-numbers.php">Durham 01913</a><br/>
<a href="/numbers/01453-dursley-uk-numbers.php">Dursley 01453</a><br/>
<a href="/numbers/01347-easingwold-uk-numbers.php">Easingwold 01347</a><br/>
<a href="/numbers/01342-east-grinstead-uk-numbers.php">East Grinstead 01342</a><br/>
<a href="/numbers/01355-east-kilbride-uk-numbers.php">East Kilbride 01355</a><br/>
<a href="/numbers/01323-eastbourne-uk-numbers.php">Eastbourne 01323</a><br/>
<a href="/numbers/0131-edinburgh-uk-numbers.php">Edinburgh 0131</a><br/>
<a href="/numbers/01343-elgin-uk-numbers.php">Elgin 01343</a><br/>
<a href="/numbers/01358-ellon-uk-numbers.php">Ellon 01358</a><br/>
<a href="/numbers/01353-ely-uk-numbers.php">Ely 01353</a><br/>
<a href="/numbers/02866-enniskillen-uk-numbers.php">Enniskillen 02866</a><br/>
<a href="/numbers/01372-esher-uk-numbers.php">Esher 01372</a><br/>
<a href="/numbers/01386-evesham-uk-numbers.php">Evesham 01386</a><br/>
<a href="/numbers/01392-exeter-uk-numbers.php">Exeter 01392</a><br/>
<a href="/numbers/01328-fakenham-uk-numbers.php">Fakenham 01328</a><br/>
<a href="/numbers/01324-falkirk-uk-numbers.php">Falkirk 01324</a><br/>
<a href="/numbers/01326-falmouth-uk-numbers.php">Falmouth 01326</a><br/>
<a href="/numbers/01329-fareham-uk-numbers.php">Fareham 01329</a><br/>
<a href="/numbers/01367-faringdon-uk-numbers.php">Faringdon 01367</a><br/>
<a href="/numbers/01394-felixstowe-uk-numbers.php">Felixstowe 01394</a><br/>
<a href="/numbers/01348-fishguard-uk-numbers.php">Fishguard 01348</a><br/>
<a href="/numbers/02889-fivemiletown-uk-numbers.php">Fivemiletown 02889</a><br/>
<a href="/numbers/01303-folkestone-uk-numbers.php">Folkestone 01303</a><br/>
<a href="/numbers/01307-forfar-uk-numbers.php">Forfar 01307</a><br/>
<a href="/numbers/01309-forres-uk-numbers.php">Forres 01309</a><br/>
<a href="/numbers/01320-fort-augustus-uk-numbers.php">Fort Augustus 01320</a><br/>
<a href="/numbers/01397-fort-william-uk-numbers.php">Fort William 01397</a><br/>
<a href="/numbers/01381-fortrose-uk-numbers.php">Fortrose 01381</a><br/>
<a href="/numbers/01346-fraserburgh-uk-numbers.php">Fraserburgh 01346</a><br/>
<a href="/numbers/01373-frome-uk-numbers.php">Frome 01373</a><br/>	
	</div>
	<div class="region">
		<h2>G - K</h2>
	<a href="/numbers/01427-gainsborough-uk-numbers.php">Gainsborough 01427</a><br/>
<a href="/numbers/01445-gairloch-uk-numbers.php">Gairloch 01445</a><br/>
<a href="/numbers/01896-galashiels-uk-numbers.php">Galashiels 01896</a><br/>
<a href="/numbers/01995-garstang-uk-numbers.php">Garstang 01995</a><br/>
<a href="/numbers/01465-girvan-uk-numbers.php">Girvan 01465</a><br/>
<a href="/numbers/0141-glasgow-uk-numbers.php">Glasgow 0141</a><br/>
<a href="/numbers/01458-glastonbury-uk-numbers.php">Glastonbury 01458</a><br/>
<a href="/numbers/01972-glenborrodale-uk-numbers.php">Glenborrodale 01972</a><br/>
<a href="/numbers/01456-glenurquhart-uk-numbers.php">Glenurquhart 01456</a><br/>
<a href="/numbers/01457-glossop-uk-numbers.php">Glossop 01457</a><br/>
<a href="/numbers/01452-gloucester-uk-numbers.php">Gloucester 01452</a><br/>
<a href="/numbers/01408-golspie-uk-numbers.php">Golspie 01408</a><br/>
<a href="/numbers/01405-goole-uk-numbers.php">Goole 01405</a><br/>
<a href="/numbers/019467-gosforth-uk-numbers.php">Gosforth 019467</a><br/>
<a href="/numbers/015395-grange-over-sands-uk-numbers.php">Grange-Over-Sands 015395</a><br/>
<a href="/numbers/01476-grantham-uk-numbers.php">Grantham 01476</a><br/>
<a href="/numbers/01479-grantown-on-spey-uk-numbers.php">Grantown-on-Spey 01479</a><br/>
<a href="/numbers/01474-gravesend-uk-numbers.php">Gravesend 01474</a><br/>
<a href="/numbers/01375-grays-thurrock-uk-numbers.php">Grays Thurrock 01375</a><br/>
<a href="/numbers/018516-great-bernera-uk-numbers.php">Great Bernera 018516</a><br/>
<a href="/numbers/01371-great-dunmow-uk-numbers.php">Great Dunmow 01371</a><br/>
<a href="/numbers/01493-great-yarmouth-uk-numbers.php">Great Yarmouth 01493</a><br/>
<a href="/numbers/01475-greenock-uk-numbers.php">Greenock 01475</a><br/>
<a href="/numbers/01461-gretna-uk-numbers.php">Gretna 01461</a><br/>
<a href="/numbers/01472-grimsby-uk-numbers.php">Grimsby 01472</a><br/>
<a href="/numbers/01483-guildford-uk-numbers.php">Guildford 01483</a><br/>
<a href="/numbers/01287-guisborough-uk-numbers.php">Guisborough 01287</a><br/>
<a href="/numbers/01943-guiseley-uk-numbers.php">Guiseley 01943</a><br/>
<a href="/numbers/01422-halifax-uk-numbers.php">Halifax 01422</a><br/>
<a href="/numbers/014343-haltwhistle-uk-numbers.php">Haltwhistle 014343</a><br/>
<a href="/numbers/01859-harris-uk-numbers.php">Harris 01859</a><br/>
<a href="/numbers/014235-harrogate-uk-numbers.php">Harrogate 014235</a><br/>
<a href="/numbers/01501-harthill-uk-numbers.php">Harthill 01501</a><br/>
<a href="/numbers/01429-hartlepool-uk-numbers.php">Hartlepool 01429</a><br/>
<a href="/numbers/01428-haslemere-uk-numbers.php">Haslemere 01428</a><br/>
<a href="/numbers/01424-hastings-uk-numbers.php">Hastings 01424</a><br/>
<a href="/numbers/01433-hathersage-uk-numbers.php">Hathersage 01433</a><br/>
<a href="/numbers/014378-haverfordwest-uk-numbers.php">Haverfordwest 014378</a><br/>
<a href="/numbers/01440-haverhill-uk-numbers.php">Haverhill 01440</a><br/>
<a href="/numbers/01450-hawick-uk-numbers.php">Hawick 01450</a><br/>
<a href="/numbers/01497-hay-on-wye-uk-numbers.php">Hay-on-Wye 01497</a><br/>
<a href="/numbers/01444-haywards-heath-uk-numbers.php">Haywards Heath 01444</a><br/>
<a href="/numbers/01435-heathfield-uk-numbers.php">Heathfield 01435</a><br/>
<a href="/numbers/01436-helensburgh-uk-numbers.php">Helensburgh 01436</a><br/>
<a href="/numbers/01431-helmsdale-uk-numbers.php">Helmsdale 01431</a><br/>
<a href="/numbers/01439-helmsley-uk-numbers.php">Helmsley 01439</a><br/>
<a href="/numbers/01442-hemel-hempstead-uk-numbers.php">Hemel Hempstead 01442</a><br/>
<a href="/numbers/01491-henley-on-thames-uk-numbers.php">Henley-on-Thames 01491</a><br/>
<a href="/numbers/01432-hereford-uk-numbers.php">Hereford 01432</a><br/>
<a href="/numbers/014346-hexham-uk-numbers.php">Hexham 014346</a><br/>
<a href="/numbers/01494-high-wycombe-uk-numbers.php">High Wycombe 01494</a><br/>
<a href="/numbers/01455-hinckley-uk-numbers.php">Hinckley 01455</a><br/>
<a href="/numbers/01462-hitchin-uk-numbers.php">Hitchin 01462</a><br/>
<a href="/numbers/01406-holbeach-uk-numbers.php">Holbeach 01406</a><br/>
<a href="/numbers/01477-holmes-chapel-uk-numbers.php">Holmes Chapel 01477</a><br/>
<a href="/numbers/01409-holsworthy-uk-numbers.php">Holsworthy 01409</a><br/>
<a href="/numbers/01407-holyhead-uk-numbers.php">Holyhead 01407</a><br/>
<a href="/numbers/01400-honington-uk-numbers.php">Honington 01400</a><br/>
<a href="/numbers/01404-honiton-uk-numbers.php">Honiton 01404</a><br/>
<a href="/numbers/015242-hornby-uk-numbers.php">Hornby 015242</a><br/>
<a href="/numbers/019645-hornsea-uk-numbers.php">Hornsea 019645</a><br/>
<a href="/numbers/01403-horsham-uk-numbers.php">Horsham 01403</a><br/>
<a href="/numbers/01484-huddersfield-uk-numbers.php">Huddersfield 01484</a><br/>
<a href="/numbers/01482-hull-uk-numbers.php">Hull 01482</a><br/>
<a href="/numbers/01488-hungerford-uk-numbers.php">Hungerford 01488</a><br/>
<a href="/numbers/01485-hunstanton-uk-numbers.php">Hunstanton 01485</a><br/>
<a href="/numbers/01480-huntingdon-uk-numbers.php">Huntingdon 01480</a><br/>
<a href="/numbers/01466-huntly-uk-numbers.php">Huntly 01466</a><br/>
<a href="/numbers/01464-insch-uk-numbers.php">Insch 01464</a><br/>
<a href="/numbers/01499-inveraray-uk-numbers.php">Inveraray 01499</a><br/>
<a href="/numbers/01463-inverness-uk-numbers.php">Inverness 01463</a><br/>
<a href="/numbers/01467-inverurie-uk-numbers.php">Inverurie 01467</a><br/>
<a href="/numbers/01538-ipstones-uk-numbers.php">Ipstones 01538</a><br/>
<a href="/numbers/01473-ipswich-uk-numbers.php">Ipswich 01473</a><br/>
<a href="/numbers/01770-isle-of-arran-uk-numbers.php">Isle of Arran 01770</a><br/>
<a href="/numbers/01870-isle-of-benbecula-uk-numbers.php">Isle of Benbecula 01870</a><br/>
<a href="/numbers/01680-isle-of-mull---craignure-uk-numbers.php">Isle of Mull - Craignure 01680</a><br/>
<a href="/numbers/01681-isle-of-mull---fionnphort-uk-numbers.php">Isle of Mull - Fionnphort 01681</a><br/>
<a href="/numbers/01688-isle-of-mull---tobermory-uk-numbers.php">Isle of Mull - Tobermory 01688</a><br/>
<a href="/numbers/01471-isle-of-skye---broadford-uk-numbers.php">Isle of Skye - Broadford 01471</a><br/>
<a href="/numbers/01470-isle-of-skye---edinbane-uk-numbers.php">Isle of Skye - Edinbane 01470</a><br/>
<a href="/numbers/01478-isle-of-skye---portree-uk-numbers.php">Isle of Skye - Portree 01478</a><br/>
<a href="/numbers/01983-isle-of-wight-uk-numbers.php">Isle of Wight 01983</a><br/>
<a href="/numbers/01720-isles-of-scilly-uk-numbers.php">Isles of Scilly 01720</a><br/>
<a href="/numbers/01505-johnstone-uk-numbers.php">Johnstone 01505</a><br/>
<a href="/numbers/01535-keighley-uk-numbers.php">Keighley 01535</a><br/>
<a href="/numbers/01542-keith-uk-numbers.php">Keith 01542</a><br/>
<a href="/numbers/01573-kelso-uk-numbers.php">Kelso 01573</a><br/>
<a href="/numbers/02868-kesh-uk-numbers.php">Kesh 02868</a><br/>
<a href="/numbers/017687-keswick-uk-numbers.php">Keswick 017687</a><br/>
<a href="/numbers/01536-kettering-uk-numbers.php">Kettering 01536</a><br/>
<a href="/numbers/01562-kidderminster-uk-numbers.php">Kidderminster 01562</a><br/>
<a href="/numbers/01866-kilchrenan-uk-numbers.php">Kilchrenan 01866</a><br/>
<a href="/numbers/01360-killearn-uk-numbers.php">Killearn 01360</a><br/>
<a href="/numbers/01567-killin-uk-numbers.php">Killin 01567</a><br/>
<a href="/numbers/01469-killingholme-uk-numbers.php">Killingholme 01469</a><br/>
<a href="/numbers/01563-kilmarnock-uk-numbers.php">Kilmarnock 01563</a><br/>
<a href="/numbers/01852-kilmelford-uk-numbers.php">Kilmelford 01852</a><br/>
<a href="/numbers/02829-kilrea-uk-numbers.php">Kilrea 02829</a><br/>
<a href="/numbers/01553-kings-lynn-uk-numbers.php">Kings Lynn 01553</a><br/>
<a href="/numbers/01548-kingsbridge-uk-numbers.php">Kingsbridge 01548</a><br/>
<a href="/numbers/01544-kington-uk-numbers.php">Kington 01544</a><br/>
<a href="/numbers/01540-kingussie-uk-numbers.php">Kingussie 01540</a><br/>
<a href="/numbers/01882-kinloch-rannoch-uk-numbers.php">Kinloch Rannoch 01882</a><br/>
<a href="/numbers/01577-kinross-uk-numbers.php">Kinross 01577</a><br/>
<a href="/numbers/01821-kinrossie-uk-numbers.php">Kinrossie 01821</a><br/>
<a href="/numbers/02842-kircubbin-uk-numbers.php">Kircubbin 02842</a><br/>
<a href="/numbers/01592-kirkcaldy-uk-numbers.php">Kirkcaldy 01592</a><br/>
<a href="/numbers/01557-kirkcudbright-uk-numbers.php">Kirkcudbright 01557</a><br/>
<a href="/numbers/01830-kirkwhelpington-uk-numbers.php">Kirkwhelpington 01830</a><br/>
<a href="/numbers/01575-kirriemuir-uk-numbers.php">Kirriemuir 01575</a><br/>
<a href="/numbers/01547-knighton-uk-numbers.php">Knighton 01547</a><br/>
<a href="/numbers/01565-knutsford-uk-numbers.php">Knutsford 01565</a><br/>
<a href="/numbers/01599-kyle-uk-numbers.php">Kyle 01599</a><br/>	
	</div>
	<div class="region">
		<h2>L - N</h2>
<a href="/numbers/01337-ladybank-uk-numbers.php">Ladybank 01337</a><br/>
<a href="/numbers/01528-laggan-uk-numbers.php">Laggan 01528</a><br/>
<a href="/numbers/01549-lairg-uk-numbers.php">Lairg 01549</a><br/>
<a href="/numbers/01570-lampeter-uk-numbers.php">Lampeter 01570</a><br/>
<a href="/numbers/01555-lanark-uk-numbers.php">Lanark 01555</a><br/>
<a href="/numbers/013873-langholm-uk-numbers.php">Langholm 013873</a><br/>
<a href="/numbers/01564-lapworth-uk-numbers.php">Lapworth 01564</a><br/>
<a href="/numbers/02828-larne-uk-numbers.php">Larne 02828</a><br/>
<a href="/numbers/01578-lauder-uk-numbers.php">Lauder 01578</a><br/>
<a href="/numbers/01566-launceston-uk-numbers.php">Launceston 01566</a><br/>
<a href="/numbers/01561-laurencekirk-uk-numbers.php">Laurencekirk 01561</a><br/>
<a href="/numbers/01992-lea-valley-uk-numbers.php">Lea Valley 01992</a><br/>
<a href="/numbers/01531-ledbury-uk-numbers.php">Ledbury 01531</a><br/>
<a href="/numbers/0113-leeds-uk-numbers.php">Leeds 0113</a><br/>
<a href="/numbers/0116-leicester-uk-numbers.php">Leicester 0116</a><br/>
<a href="/numbers/01525-leighton-buzzard-uk-numbers.php">Leighton Buzzard 01525</a><br/>
<a href="/numbers/01568-leominster-uk-numbers.php">Leominster 01568</a><br/>
<a href="/numbers/01969-leyburn-uk-numbers.php">Leyburn 01969</a><br/>
<a href="/numbers/02877-limavady-uk-numbers.php">Limavady 02877</a><br/>
<a href="/numbers/01522-lincoln-uk-numbers.php">Lincoln 01522</a><br/>
<a href="/numbers/02892-lisburn-uk-numbers.php">Lisburn 02892</a><br/>
<a href="/numbers/01579-liskeard-uk-numbers.php">Liskeard 01579</a><br/>
<a href="/numbers/02867-lisnaskea-uk-numbers.php">Lisnaskea 02867</a><br/>
<a href="/numbers/0151-liverpool-uk-numbers.php">Liverpool 0151</a><br/>
<a href="/numbers/01545-llanarth-uk-numbers.php">Llanarth 01545</a><br/>
<a href="/numbers/01558-llandeilo-uk-numbers.php">Llandeilo 01558</a><br/>
<a href="/numbers/01550-llandovery-uk-numbers.php">Llandovery 01550</a><br/>
<a href="/numbers/01597-llandrindod-wells-uk-numbers.php">Llandrindod Wells 01597</a><br/>
<a href="/numbers/01559-llandyssul-uk-numbers.php">Llandyssul 01559</a><br/>
<a href="/numbers/01554-llanelli-uk-numbers.php">Llanelli 01554</a><br/>
<a href="/numbers/016864-llanidloes-uk-numbers.php">Llanidloes 016864</a><br/>
<a href="/numbers/01974-llanon-uk-numbers.php">Llanon 01974</a><br/>
<a href="/numbers/01591-llanwrtyd-wells-uk-numbers.php">Llanwrtyd Wells 01591</a><br/>
<a href="/numbers/01878-lochboisdale-uk-numbers.php">Lochboisdale 01878</a><br/>
<a href="/numbers/01520-lochcarron-uk-numbers.php">Lochcarron 01520</a><br/>
<a href="/numbers/01546-lochgilphead-uk-numbers.php">Lochgilphead 01546</a><br/>
<a href="/numbers/01571-lochinver-uk-numbers.php">Lochinver 01571</a><br/>
<a href="/numbers/01876-lochmaddy-uk-numbers.php">Lochmaddy 01876</a><br/>
<a href="/numbers/01576-lockerbie-uk-numbers.php">Lockerbie 01576</a><br/>
<a href="/numbers/0207-london-inner-uk-numbers.php">London (Inner) 0207</a><br/>
<a href="/numbers/0208-london-outer-uk-numbers.php">London (Outer) 0208</a><br/>
<a href="/numbers/020-london-uk-numbers.php">London 020</a><br/>
<a href="/numbers/02871-londonderry-uk-numbers.php">Londonderry 02871</a><br/>
<a href="/numbers/01503-looe-uk-numbers.php">Looe 01503</a><br/>
<a href="/numbers/01509-loughborough-uk-numbers.php">Loughborough 01509</a><br/>
<a href="/numbers/0150766-louth-uk-numbers.php">Louth 0150766</a><br/>
<a href="/numbers/01502-lowestoft-uk-numbers.php">Lowestoft 01502</a><br/>
<a href="/numbers/01584-ludlow-uk-numbers.php">Ludlow 01584</a><br/>
<a href="/numbers/01582-luton-uk-numbers.php">Luton 01582</a><br/>
<a href="/numbers/01593-lybster-uk-numbers.php">Lybster 01593</a><br/>
<a href="/numbers/01594-lydney-uk-numbers.php">Lydney 01594</a><br/>
<a href="/numbers/01590-lymington-uk-numbers.php">Lymington 01590</a><br/>
<a href="/numbers/01598-lynton-uk-numbers.php">Lynton 01598</a><br/>
<a href="/numbers/01625-macclesfield-uk-numbers.php">Macclesfield 01625</a><br/>
<a href="/numbers/01654-machynlleth-uk-numbers.php">Machynlleth 01654</a><br/>
<a href="/numbers/01954-madingley-uk-numbers.php">Madingley 01954</a><br/>
<a href="/numbers/02879-magherafelt-uk-numbers.php">Magherafelt 02879</a><br/>
<a href="/numbers/01628-maidenhead-uk-numbers.php">Maidenhead 01628</a><br/>
<a href="/numbers/01622-maidstone-uk-numbers.php">Maidstone 01622</a><br/>
<a href="/numbers/01621-maldon-uk-numbers.php">Maldon 01621</a><br/>
<a href="/numbers/01687-mallaig-uk-numbers.php">Mallaig 01687</a><br/>
<a href="/numbers/01666-malmesbury-uk-numbers.php">Malmesbury 01666</a><br/>
<a href="/numbers/01653-malton-uk-numbers.php">Malton 01653</a><br/>
<a href="/numbers/01684-malvern-uk-numbers.php">Malvern 01684</a><br/>
<a href="/numbers/0161-manchester-uk-numbers.php">Manchester 0161</a><br/>
<a href="/numbers/01623-mansfield-uk-numbers.php">Mansfield 01623</a><br/>
<a href="/numbers/01630-market-drayton-uk-numbers.php">Market Drayton 01630</a><br/>
<a href="/numbers/01858-market-harborough-uk-numbers.php">Market Harborough 01858</a><br/>
<a href="/numbers/01673-market-rasen-uk-numbers.php">Market Rasen 01673</a><br/>
<a href="/numbers/014308-market-weighton-uk-numbers.php">Market Weighton 014308</a><br/>
<a href="/numbers/01672-marlborough-uk-numbers.php">Marlborough 01672</a><br/>
<a href="/numbers/01526-martin-uk-numbers.php">Martin 01526</a><br/>
<a href="/numbers/02821-martinstown-uk-numbers.php">Martinstown 02821</a><br/>
<a href="/numbers/01629-matlock-uk-numbers.php">Matlock 01629</a><br/>
<a href="/numbers/01771-maud-uk-numbers.php">Maud 01771</a><br/>
<a href="/numbers/01655-maybole-uk-numbers.php">Maybole 01655</a><br/>
<a href="/numbers/01634-medway-uk-numbers.php">Medway 01634</a><br/>
<a href="/numbers/01664-melton-mowbray-uk-numbers.php">Melton Mowbray 01664</a><br/>
<a href="/numbers/01676-meriden-uk-numbers.php">Meriden 01676</a><br/>
<a href="/numbers/01685-merthyr-tydfil-uk-numbers.php">Merthyr Tydfil 01685</a><br/>
<a href="/numbers/01957-mid-yell-uk-numbers.php">Mid Yell 01957</a><br/>
<a href="/numbers/01642-middlesbrough-uk-numbers.php">Middlesbrough 01642</a><br/>
<a href="/numbers/01646-milford-haven-uk-numbers.php">Milford Haven 01646</a><br/>
<a href="/numbers/012297-millom-uk-numbers.php">Millom 012297</a><br/>
<a href="/numbers/01908-milton-keynes-uk-numbers.php">Milton Keynes 01908</a><br/>
<a href="/numbers/01643-minehead-uk-numbers.php">Minehead 01643</a><br/>
<a href="/numbers/01683-moffat-uk-numbers.php">Moffat 01683</a><br/>
<a href="/numbers/01352-mold-uk-numbers.php">Mold 01352</a><br/>
<a href="/numbers/01600-monmouth-uk-numbers.php">Monmouth 01600</a><br/>
<a href="/numbers/01674-montrose-uk-numbers.php">Montrose 01674</a><br/>
<a href="/numbers/01647-moretonhampstead-uk-numbers.php">Moretonhampstead 01647</a><br/>
<a href="/numbers/01670-morpeth-uk-numbers.php">Morpeth 01670</a><br/>
<a href="/numbers/01560-moscow-uk-numbers.php">Moscow 01560</a><br/>
<a href="/numbers/01698-motherwell-uk-numbers.php">Motherwell 01698</a><br/>
<a href="/numbers/01667-nairn-uk-numbers.php">Nairn 01667</a><br/>
<a href="/numbers/01834-narberth-uk-numbers.php">Narberth 01834</a><br/>
<a href="/numbers/01639-neath-uk-numbers.php">Neath 01639</a><br/>
<a href="/numbers/01644-new-galloway-uk-numbers.php">New Galloway 01644</a><br/>
<a href="/numbers/01581-new-luce-uk-numbers.php">New Luce 01581</a><br/>
<a href="/numbers/01663-new-mills-uk-numbers.php">New Mills 01663</a><br/>
<a href="/numbers/01636-newark-uk-numbers.php">Newark 01636</a><br/>
<a href="/numbers/01635-newbury-uk-numbers.php">Newbury 01635</a><br/>
<a href="/numbers/02843-newcastle-co.down-uk-numbers.php">Newcastle (Co.Down) 02843</a><br/>
<a href="/numbers/01638-newmarket-uk-numbers.php">Newmarket 01638</a><br/>
<a href="/numbers/01633-newport-uk-numbers.php">Newport 01633</a><br/>
<a href="/numbers/01637-newquay-uk-numbers.php">Newquay 01637</a><br/>
<a href="/numbers/01841-newquay-uk-numbers.php">Newquay 01841</a><br/>
<a href="/numbers/02830-newry-uk-numbers.php">Newry 02830</a><br/>
<a href="/numbers/01626-newton-abbot-uk-numbers.php">Newton Abbot 01626</a><br/>
<a href="/numbers/01671-newton-stewart-uk-numbers.php">Newton Stewart 01671</a><br/>
<a href="/numbers/016868-newtown-uk-numbers.php">Newtown 016868</a><br/>
<a href="/numbers/02881-newtownstewart-uk-numbers.php">Newtownstewart 02881</a><br/>
<a href="/numbers/01620-north-berwick-uk-numbers.php">North Berwick 01620</a><br/>
<a href="/numbers/014304-north-cave-uk-numbers.php">North Cave 014304</a><br/>
<a href="/numbers/01692-north-walsham-uk-numbers.php">North Walsham 01692</a><br/>
<a href="/numbers/01609-northallerton-uk-numbers.php">Northallerton 01609</a><br/>
<a href="/numbers/01604-northampton-uk-numbers.php">Northampton 01604</a><br/>
<a href="/numbers/01606-northwich-uk-numbers.php">Northwich 01606</a><br/>
<a href="/numbers/01603-norwich-uk-numbers.php">Norwich 01603</a><br/>
<a href="/numbers/0115-nottingham-uk-numbers.php">Nottingham 0115</a><br/>		
	</div>
	<div class="region">
		<h2>O - S</h2>
<a href="/numbers/01572-oakham-uk-numbers.php">Oakham 01572</a><br/>
<a href="/numbers/01631-oban-uk-numbers.php">Oban 01631</a><br/>
<a href="/numbers/01837-okehampton-uk-numbers.php">Okehampton 01837</a><br/>
<a href="/numbers/01651-oldmeldrum-uk-numbers.php">Oldmeldrum 01651</a><br/>
<a href="/numbers/02882-omagh-uk-numbers.php">Omagh 02882</a><br/>
<a href="/numbers/01856-orkney-uk-numbers.php">Orkney 01856</a><br/>
<a href="/numbers/01689-orpington-uk-numbers.php">Orpington 01689</a><br/>
<a href="/numbers/01691-oswestry-uk-numbers.php">Oswestry 01691</a><br/>
<a href="/numbers/01865-oxford-uk-numbers.php">Oxford 01865</a><br/>
<a href="/numbers/01359-pakenham-uk-numbers.php">Pakenham 01359</a><br/>
<a href="/numbers/019646-patrington-uk-numbers.php">Patrington 019646</a><br/>
<a href="/numbers/01333-peat-inn-uk-numbers.php">Peat Inn 01333</a><br/>
<a href="/numbers/01721-peebles-uk-numbers.php">Peebles 01721</a><br/>
<a href="/numbers/01885-pencombe-uk-numbers.php">Pencombe 01885</a><br/>
<a href="/numbers/01968-penicuik-uk-numbers.php">Penicuik 01968</a><br/>
<a href="/numbers/01736-penzance-uk-numbers.php">Penzance 01736</a><br/>
<a href="/numbers/01738-perth-uk-numbers.php">Perth 01738</a><br/>
<a href="/numbers/01733-peterborough-uk-numbers.php">Peterborough 01733</a><br/>
<a href="/numbers/01779-peterhead-uk-numbers.php">Peterhead 01779</a><br/>
<a href="/numbers/01730-petersfield-uk-numbers.php">Petersfield 01730</a><br/>
<a href="/numbers/01751-pickering-uk-numbers.php">Pickering 01751</a><br/>
<a href="/numbers/01796-pitlochry-uk-numbers.php">Pitlochry 01796</a><br/>
<a href="/numbers/01752-plymouth-uk-numbers.php">Plymouth 01752</a><br/>
<a href="/numbers/01759-pocklington-uk-numbers.php">Pocklington 01759</a><br/>
<a href="/numbers/01977-pontefract-uk-numbers.php">Pontefract 01977</a><br/>
<a href="/numbers/01495-pontypool-uk-numbers.php">Pontypool 01495</a><br/>
<a href="/numbers/01443-pontypridd-uk-numbers.php">Pontypridd 01443</a><br/>
<a href="/numbers/01496-port-ellen-uk-numbers.php">Port Ellen 01496</a><br/>
<a href="/numbers/02838-portadown-uk-numbers.php">Portadown 02838</a><br/>
<a href="/numbers/01766-porthmadog-uk-numbers.php">Porthmadog 01766</a><br/>
<a href="/numbers/0239-portsmouth-uk-numbers.php">Portsmouth 0239</a><br/>
<a href="/numbers/01772-preston-uk-numbers.php">Preston 01772</a><br/>
<a href="/numbers/01661-prudhoe-uk-numbers.php">Prudhoe 01661</a><br/>
<a href="/numbers/01798-pulborough-uk-numbers.php">Pulborough 01798</a><br/>
<a href="/numbers/01758-pwllheli-uk-numbers.php">Pwllheli 01758</a><br/>
<a href="/numbers/016974-raughton-head-uk-numbers.php">Raughton Head 016974</a><br/>
<a href="/numbers/0118-reading-uk-numbers.php">Reading 0118</a><br/>
<a href="/numbers/01527-redditch-uk-numbers.php">Redditch 01527</a><br/>
<a href="/numbers/01737-redhill-uk-numbers.php">Redhill 01737</a><br/>
<a href="/numbers/01209-redruth-uk-numbers.php">Redruth 01209</a><br/>
<a href="/numbers/01777-retford-uk-numbers.php">Retford 01777</a><br/>
<a href="/numbers/01745-rhyl-uk-numbers.php">Rhyl 01745</a><br/>
<a href="/numbers/01748-richmond-uk-numbers.php">Richmond 01748</a><br/>
<a href="/numbers/01425-ringwood-uk-numbers.php">Ringwood 01425</a><br/>
<a href="/numbers/01773-ripley-uk-numbers.php">Ripley 01773</a><br/>
<a href="/numbers/01765-ripon-uk-numbers.php">Ripon 01765</a><br/>
<a href="/numbers/01706-rochdale-uk-numbers.php">Rochdale 01706</a><br/>
<a href="/numbers/01725-rockbourne-uk-numbers.php">Rockbourne 01725</a><br/>
<a href="/numbers/01708-romford-uk-numbers.php">Romford 01708</a><br/>
<a href="/numbers/01794-romsey-uk-numbers.php">Romsey 01794</a><br/>
<a href="/numbers/01989-ross-on-wye-uk-numbers.php">Ross-on-Wye 01989</a><br/>
<a href="/numbers/02841-rostrevor-uk-numbers.php">Rostrevor 02841</a><br/>
<a href="/numbers/01669-rothbury-uk-numbers.php">Rothbury 01669</a><br/>
<a href="/numbers/01709-rotherham-uk-numbers.php">Rotherham 01709</a><br/>
<a href="/numbers/01700-rothesay-uk-numbers.php">Rothesay 01700</a><br/>
<a href="/numbers/01763-royston-uk-numbers.php">Royston 01763</a><br/>
<a href="/numbers/01788-rugby-uk-numbers.php">Rugby 01788</a><br/>
<a href="/numbers/01889-rugely-uk-numbers.php">Rugely 01889</a><br/>
<a href="/numbers/01928-runcorn-uk-numbers.php">Runcorn 01928</a><br/>
<a href="/numbers/01824-ruthin-uk-numbers.php">Ruthin 01824</a><br/>
<a href="/numbers/01797-rye-uk-numbers.php">Rye 01797</a><br/>
<a href="/numbers/01799-saffron-walden-uk-numbers.php">Saffron Walden 01799</a><br/>
<a href="/numbers/02897-saintfield-uk-numbers.php">Saintfield 02897</a><br/>
<a href="/numbers/01722-salisbury-uk-numbers.php">Salisbury 01722</a><br/>
<a href="/numbers/01857-sanday-uk-numbers.php">Sanday 01857</a><br/>
<a href="/numbers/01950-sandwick-uk-numbers.php">Sandwick 01950</a><br/>
<a href="/numbers/01767-sandy-uk-numbers.php">Sandy 01767</a><br/>
<a href="/numbers/01659-sanquhar-uk-numbers.php">Sanquhar 01659</a><br/>
<a href="/numbers/01728-saxmundham-uk-numbers.php">Saxmundham 01728</a><br/>
<a href="/numbers/01723-scarborough-uk-numbers.php">Scarborough 01723</a><br/>
<a href="/numbers/01879-scarinish-uk-numbers.php">Scarinish 01879</a><br/>
<a href="/numbers/01971-scourie-uk-numbers.php">Scourie 01971</a><br/>
<a href="/numbers/01724-scunthorpe-uk-numbers.php">Scunthorpe 01724</a><br/>
<a href="/numbers/015396-sedbergh-uk-numbers.php">Sedbergh 015396</a><br/>
<a href="/numbers/01740-sedgefield-uk-numbers.php">Sedgefield 01740</a><br/>
<a href="/numbers/01757-selby-uk-numbers.php">Selby 01757</a><br/>
<a href="/numbers/01750-selkirk-uk-numbers.php">Selkirk 01750</a><br/>
<a href="/numbers/01729-settle-uk-numbers.php">Settle 01729</a><br/>
<a href="/numbers/01732-sevenoaks-uk-numbers.php">Sevenoaks 01732</a><br/>
<a href="/numbers/01747-shaftesbury-uk-numbers.php">Shaftesbury 01747</a><br/>
<a href="/numbers/01931-shap-uk-numbers.php">Shap 01931</a><br/>
<a href="/numbers/0114-sheffield-uk-numbers.php">Sheffield 0114</a><br/>
<a href="/numbers/01749-shepton-mallet-uk-numbers.php">Shepton Mallet 01749</a><br/>
<a href="/numbers/01806-shetland-uk-numbers.php">Shetland 01806</a><br/>
<a href="/numbers/01743-shrewsbury-uk-numbers.php">Shrewsbury 01743</a><br/>
<a href="/numbers/01795-sittingbourne-uk-numbers.php">Sittingbourne 01795</a><br/>
<a href="/numbers/01754-skegness-uk-numbers.php">Skegness 01754</a><br/>
<a href="/numbers/01695-skelmersdale-uk-numbers.php">Skelmersdale 01695</a><br/>
<a href="/numbers/01756-skipton-uk-numbers.php">Skipton 01756</a><br/>
<a href="/numbers/01529-sleaford-uk-numbers.php">Sleaford 01529</a><br/>
<a href="/numbers/01753-slough-uk-numbers.php">Slough 01753</a><br/>
<a href="/numbers/01769-south-molton-uk-numbers.php">South Molton 01769</a><br/>
<a href="/numbers/0238-southampton-uk-numbers.php">Southampton 0238</a><br/>
<a href="/numbers/01702-southend-on-sea-uk-numbers.php">Southend-on-Sea 01702</a><br/>
<a href="/numbers/01704-southport-uk-numbers.php">Southport 01704</a><br/>
<a href="/numbers/01775-spalding-uk-numbers.php">Spalding 01775</a><br/>
<a href="/numbers/01790-spilsby-uk-numbers.php">Spilsby 01790</a><br/>
<a href="/numbers/01727-st-albans-uk-numbers.php">St Albans 01727</a><br/>
<a href="/numbers/01334-st-andrews-uk-numbers.php">St Andrews 01334</a><br/>
<a href="/numbers/01726-st-austell-uk-numbers.php">St Austell 01726</a><br/>
<a href="/numbers/01835-st-boswells-uk-numbers.php">St Boswells 01835</a><br/>
<a href="/numbers/01994-st-clears-uk-numbers.php">St Clears 01994</a><br/>
<a href="/numbers/01744-st-helens-uk-numbers.php">St Helens 01744</a><br/>
<a href="/numbers/01785-stafford-uk-numbers.php">Stafford 01785</a><br/>
<a href="/numbers/01784-staines-uk-numbers.php">Staines 01784</a><br/>
<a href="/numbers/01780-stamford-uk-numbers.php">Stamford 01780</a><br/>
<a href="/numbers/013885-stanhope-uk-numbers.php">Stanhope 013885</a><br/>
<a href="/numbers/01438-stevenage-uk-numbers.php">Stevenage 01438</a><br/>
<a href="/numbers/01786-stirling-uk-numbers.php">Stirling 01786</a><br/>
<a href="/numbers/01782-stoke-on-trent-uk-numbers.php">Stoke-on-Trent 01782</a><br/>
<a href="/numbers/01569-stonehaven-uk-numbers.php">Stonehaven 01569</a><br/>
<a href="/numbers/018518-stornoway-uk-numbers.php">Stornoway 018518</a><br/>
<a href="/numbers/01449-stowmarket-uk-numbers.php">Stowmarket 01449</a><br/>
<a href="/numbers/01451-stow-on-the-wold-uk-numbers.php">Stow-on-the-Wold 01451</a><br/>
<a href="/numbers/01776-stranraer-uk-numbers.php">Stranraer 01776</a><br/>
<a href="/numbers/01789-stratford-upon-avon-uk-numbers.php">Stratford-upon-Avon 01789</a><br/>
<a href="/numbers/01357-strathaven-uk-numbers.php">Strathaven 01357</a><br/>
<a href="/numbers/01997-strathpeffer-uk-numbers.php">Strathpeffer 01997</a><br/>
<a href="/numbers/01641-strathy-uk-numbers.php">Strathy 01641</a><br/>
<a href="/numbers/01967-strontian-uk-numbers.php">Strontian 01967</a><br/>
<a href="/numbers/01787-sudbury-uk-numbers.php">Sudbury 01787</a><br/>
<a href="/numbers/01915-sunderland-uk-numbers.php">Sunderland 01915</a><br/>
<a href="/numbers/01760-swaffham-uk-numbers.php">Swaffham 01760</a><br/>
<a href="/numbers/01792-swansea-uk-numbers.php">Swansea 01792</a><br/>
<a href="/numbers/01793-swindon-uk-numbers.php">Swindon 01793</a><br/>		
	</div>
	<div class="region">
		<h2>T - Z</h2>
<a href="/numbers/01862-tain-uk-numbers.php">Tain 01862</a><br/>
<a href="/numbers/01827-tamworth-uk-numbers.php">Tamworth 01827</a><br/>
<a href="/numbers/01880-tarbert-uk-numbers.php">Tarbert 01880</a><br/>
<a href="/numbers/01829-tarporley-uk-numbers.php">Tarporley 01829</a><br/>
<a href="/numbers/01823-taunton-uk-numbers.php">Taunton 01823</a><br/>
<a href="/numbers/01822-tavistock-uk-numbers.php">Tavistock 01822</a><br/>
<a href="/numbers/01952-telford-uk-numbers.php">Telford 01952</a><br/>
<a href="/numbers/01761-temple-cloud-uk-numbers.php">Temple Cloud 01761</a><br/>
<a href="/numbers/01844-thame-uk-numbers.php">Thame 01844</a><br/>
<a href="/numbers/01843-thanet-uk-numbers.php">Thanet 01843</a><br/>
<a href="/numbers/01842-thetford-uk-numbers.php">Thetford 01842</a><br/>
<a href="/numbers/01845-thirsk-uk-numbers.php">Thirsk 01845</a><br/>
<a href="/numbers/01848-thornhill-uk-numbers.php">Thornhill 01848</a><br/>
<a href="/numbers/018475-thurso-uk-numbers.php">Thurso 018475</a><br/>
<a href="/numbers/01884-tiverton-uk-numbers.php">Tiverton 01884</a><br/>
<a href="/numbers/01808-tomatin-uk-numbers.php">Tomatin 01808</a><br/>
<a href="/numbers/01809-tomdoun-uk-numbers.php">Tomdoun 01809</a><br/>
<a href="/numbers/018476-tongue-uk-numbers.php">Tongue 018476</a><br/>
<a href="/numbers/01803-torquay-uk-numbers.php">Torquay 01803</a><br/>
<a href="/numbers/01805-torrington-uk-numbers.php">Torrington 01805</a><br/>
<a href="/numbers/01875-tranent-uk-numbers.php">Tranent 01875</a><br/>
<a href="/numbers/01872-truro-uk-numbers.php">Truro 01872</a><br/>
<a href="/numbers/01892-tunbridge-wells-uk-numbers.php">Tunbridge Wells 01892</a><br/>
<a href="/numbers/01888-turriff-uk-numbers.php">Turriff 01888</a><br/>
<a href="/numbers/01914-tyneside-uk-numbers.php">Tyneside 01914</a><br/>
<a href="/numbers/01916-tyneside-uk-numbers.php">Tyneside 01916</a><br/>
<a href="/numbers/01825-uckfield-uk-numbers.php">Uckfield 01825</a><br/>
<a href="/numbers/01854-ullapool-uk-numbers.php">Ullapool 01854</a><br/>
<a href="/numbers/01895-uxbridge-uk-numbers.php">Uxbridge 01895</a><br/>
<a href="/numbers/01924-wakefield-uk-numbers.php">Wakefield 01924</a><br/>
<a href="/numbers/01922-walsall-uk-numbers.php">Walsall 01922</a><br/>
<a href="/numbers/01487-warboys-uk-numbers.php">Warboys 01487</a><br/>
<a href="/numbers/01920-ware-uk-numbers.php">Ware 01920</a><br/>
<a href="/numbers/01929-wareham-uk-numbers.php">Wareham 01929</a><br/>
<a href="/numbers/01985-warminster-uk-numbers.php">Warminster 01985</a><br/>
<a href="/numbers/01925-warrington-uk-numbers.php">Warrington 01925</a><br/>
<a href="/numbers/01926-warwick-uk-numbers.php">Warwick 01926</a><br/>
<a href="/numbers/01984-watchet-uk-numbers.php">Watchet 01984</a><br/>
<a href="/numbers/01923-watford-uk-numbers.php">Watford 01923</a><br/>
<a href="/numbers/01933-wellingborough-uk-numbers.php">Wellingborough 01933</a><br/>
<a href="/numbers/01938-welshpool-uk-numbers.php">Welshpool 01938</a><br/>
<a href="/numbers/01707-welwyn-garden-city-uk-numbers.php">Welwyn Garden City 01707</a><br/>
<a href="/numbers/01939-wem-uk-numbers.php">Wem 01939</a><br/>
<a href="/numbers/01944-west-heslerton-uk-numbers.php">West Heslerton 01944</a><br/>
<a href="/numbers/01959-westerham-uk-numbers.php">Westerham 01959</a><br/>
<a href="/numbers/01934-weston-super-mare-uk-numbers.php">Weston-Super-Mare 01934</a><br/>
<a href="/numbers/01937-wetherby-uk-numbers.php">Wetherby 01937</a><br/>
<a href="/numbers/01932-weybridge-uk-numbers.php">Weybridge 01932</a><br/>
<a href="/numbers/01949-whatton-uk-numbers.php">Whatton 01949</a><br/>
<a href="/numbers/01947-whitby-uk-numbers.php">Whitby 01947</a><br/>
<a href="/numbers/01948-whitchurch-uk-numbers.php">Whitchurch 01948</a><br/>
<a href="/numbers/01955-wick-uk-numbers.php">Wick 01955</a><br/>
<a href="/numbers/01942-wigan-uk-numbers.php">Wigan 01942</a><br/>
<a href="/numbers/01988-wigtown-uk-numbers.php">Wigtown 01988</a><br/>
<a href="/numbers/01963-wincanton-uk-numbers.php">Wincanton 01963</a><br/>
<a href="/numbers/01962-winchester-uk-numbers.php">Winchester 01962</a><br/>
<a href="/numbers/01945-wisbech-uk-numbers.php">Wisbech 01945</a><br/>
<a href="/numbers/01993-witney-uk-numbers.php">Witney 01993</a><br/>
<a href="/numbers/01902-wolverhampton-uk-numbers.php">Wolverhampton 01902</a><br/>
<a href="/numbers/01905-worcester-uk-numbers.php">Worcester 01905</a><br/>
<a href="/numbers/01900-workington-uk-numbers.php">Workington 01900</a><br/>
<a href="/numbers/01909-worksop-uk-numbers.php">Worksop 01909</a><br/>
<a href="/numbers/01981-wormbridge-uk-numbers.php">Wormbridge 01981</a><br/>
<a href="/numbers/01903-worthing-uk-numbers.php">Worthing 01903</a><br/>
<a href="/numbers/01978-wrexham-uk-numbers.php">Wrexham 01978</a><br/>
<a href="/numbers/01953-wymondham-uk-numbers.php">Wymondham 01953</a><br/>
<a href="/numbers/01935-yeovil-uk-numbers.php">Yeovil 01935</a><br/>
<a href="/numbers/01904-york-uk-numbers.php">York 01904</a><br/>		
	</div>
	
	
	
	
	
	<div style="text-align:center;width:100%; margin:20px 0;float:left;">
			<h1><br/>We also offer other UK Phone Number ranges that include:</h1>
	
		<div>
			<a href="{ROOT}/numbers/0207/choose.php" class="infotext nu" title="0207 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0207.gif" border="0" alt="0207 Number" width="69" height="47" /><span class="tipcontents">Get a 0207 number</span></a>
			<a href="{ROOT}/numbers/ukgeo/choose.php" class="infotext nu" title="UK Geo Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_uk_local.gif" border="0" alt="UK Local Number" width="69" height="47" /><span class="tipcontents">Get a UK Local number: Manchester, Liverpool, Bristol, and many more...</span></a>
			<a href="{ROOT}/numbers/0800/choose.php" class="infotext nu" title="0800 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0800.gif" border="0" alt="0800 Number" width="69" height="47" /><span class="tipcontents">Get a 0800 number</span></a>
			<a href="{ROOT}/numbers/0845/choose.php" class="infotext nu" title="0845 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0845.gif" border="0" alt="0845 Number" width="69" height="47" /><span class="tipcontents">Get a 0845 number</span></a>
			<a href="{ROOT}/numbers/0870/choose.php" class="infotext nu" title="0870 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0870.gif" border="0" alt="0870 Number" width="69" height="47" /><span class="tipcontents">Get a 0870 number</span></a>
			<a href="{ROOT}/numbers/07d/choose.php" class="infotext nu" title="07d Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07D.gif" border="0" alt="07-K Number" width="69" height="47" /><span class="tipcontents">Get a 07 D-rate number</span></a>
			<a href="{ROOT}/numbers/07k/choose.php" class="infotext nu" title="07k Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07K.gif" border="0" alt="07-D Number" width="69" height="47" /><span class="tipcontents">Get a 07 K-rate number</span></a>
			<a href="{ROOT}/numbers/07pn2/choose.php" class="infotext nu" title="07pn2 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_07PN2.gif" border="0" alt="07-PN2 Number" width="69" height="47" /><span class="tipcontents">Get a 07 PN2-rate number</span></a>
			<a href="{ROOT}/numbers/0844/choose.php" class="infotext nu" title="0844 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0844.gif" border="0" alt="0844 Number" width="69" height="47" /><span class="tipcontents">Get a 0844 number</span></a>
			<a href="{ROOT}/numbers/0871/choose.php" class="infotext nu" title="0871 Phone Numbers"><img style="margin-right: 5px" src="{THEME}/gen_images/number_button_0871.gif" border="0" alt="0871 Number" width="69" height="47" /><span class="tipcontents">Get a 0871 number</span></a>
		</div>
			
	</div>
	
	
	
	</div>


</div>


<!-- END MAIN CONTENT AREA -->






<?php include($abs_typinv); ?>





<?php include(DOCROOT . $abs_root . '/common/footer.php'); ?>


